﻿<?xml version="1.0" encoding="UTF-8"?>

<#-- Import common macros and functions -->
<#import "macros_common.ftl" as com>
<#-- Include utilities for the list of iuclid documents plus annex macro -->
<#include "annotations_utilities.ftl" />
<#import "annotations_utilities.ftl" as utilities />

<!-- Main template file for a list of Annotations -->

<!-- TO DO:
		Add to the utilities list all other documents for both Substance and Mixture (Summaries)!!! Maybe
		(Possibly) add Annotations from linked entities!!! Maybe
 -->
<#assign locale = "en" />
<#assign sysDateTime = .now>
<book version="5.0" xmlns="http://docbook.org/ns/docbook" xmlns:xi="http://www.w3.org/2001/XInclude">
		
	<#assign substance = rootDocument />
	<#assign mixture = rootDocument />
	
	<#assign left_header_text = ''/>
	<#assign central_header_text = " Annotations generated from Mixture/Product: " + mixture.MixtureName />
	<#assign right_header_text = ''/> 
	<#assign left_footer_text = sysDateTime?string[" dd/MM/yyyy "] + " Generated by IUCLID 6 " + iuclid6Version/> 
	<#assign central_footer_text = ''/> 
	<#assign right_footer_text = ''/> 
	
    <info>
        <title>Annotations Report</title>
		<cover>
            <para>
				<#if rootDocument.documentType=="MIXTURE">
					<para><emphasis role="bold"><phrase role="green">Product name: </phrase></emphasis><@com.text substance.MixtureName/></para>
				</#if>
				
				<#if dossierDocument?has_content>
				<#assign dossier = dossierDocument />
				
					<para><emphasis role="bold"><phrase role="blue">Dossier details</phrase></emphasis></para>
					<para><emphasis role="bold">Submission type:</emphasis> <@com.text dossier.submissionType /></para>
					<para><emphasis role="bold">Dossier name:</emphasis> <@com.text dossier.name /></para>
					<#if dossier.remarks?has_content>
					<para><emphasis role="bold">Dossier submission remarks:</emphasis> <@com.text dossier.remarks /></para>		
					</#if>
					<para><emphasis role="bold">Dossier creation date and time:</emphasis> <@com.text dossier.creationDate />	</para>
					<para><emphasis role="bold">Dossier UUID:</emphasis> <@com.text dossier.subjectKey /></para>
								
					<@dossierHeaderInfoOnUpdate dossier />
					
				</#if>
			
			</para>
        </cover>
    </info>
		
	<chapter label="1">
	<!-- Annotations (mixture) -->
	<#assign mixtureList = checkMixtureRoot(mixture)/>
	<#if mixtureList?has_content>
		<title role="HEAD-1">Annotations in product</title>
		<table border="1">
			<title>Annotations generated from a product</title>
			<col width="44%" />
			<col width="44%" />
			<col width="12%" />			
			<tbody>
			<tr>								
				<th><?dbfo bgcolor="#C6C9F0" ?><emphasis role="bold">Document details</emphasis></th>
				<th><?dbfo bgcolor="#C6C9F0" ?><emphasis role="bold">Annotation details</emphasis></th>
				<th><?dbfo bgcolor="#C6C9F0" ?><emphasis role="bold">Annex</emphasis></th>
			</tr>			
			
				<!-- Biocidal product annotations in metadata -->	
					
				<#if rootDocument.documentType=="MIXTURE">		
					<#list mixtureAttachmentMetaDataListPart1 as annotationIdentifier>					
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
						<#list documentList as document>
							<#list document.annotations as annotations>	
							<@tableRowForAnnotations document annotations annotationIdentifier "Biocidal Product" document.name document.documentKey.uuid document.documentKey.snapshotUuid />
							</#list>
						</#list>
					</#list>
					
					<#assign document = mixture />
					<#assign annotationIdentifier = mixtureAttachmentMetaDataListPart2 />
					<#if document?has_content>
						<#list document.annotations as annotations>
						<@tableRowForAnnotations document annotations annotationIdentifier "Biocidal Product" document.name document.documentKey.uuid document.documentKey.snapshotUuid />
						</#list>
					</#if>	
					
					<#list mixtureAttachmentMetaDataListPart3 as annotationIdentifier>					
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
						<#list documentList as document>
							<#list document.annotations as annotations>	
							<@tableRowForAnnotations document annotations annotationIdentifier "Biocidal Product" document.name document.documentKey.uuid document.documentKey.snapshotUuid />
							</#list>
						</#list>
					</#list>	
				</#if>		
				
			</tbody>
		</table>
	</#if>
	</chapter>
		
	<chapter label="1">
	<!-- Annotations (substance) -->	
	<#assign mixtureList = checkMixtureRoot(mixture) />
		<#if mixtureList?has_content>
		<title role="HEAD-1">Annotations in substances</title>	
			<table border="1">
				<title>Annotations in attached substance(s)</title>
				<col width="44%" />
				<col width="44%" />
				<col width="12%" />					
				<tbody>
					<tr>								
						<th><?dbfo bgcolor="#C6C9F0" ?><emphasis role="bold">Document details</emphasis></th>
						<th><?dbfo bgcolor="#C6C9F0" ?><emphasis role="bold">Annotation details</emphasis></th>
						<th><?dbfo bgcolor="#C6C9F0" ?><emphasis role="bold">Annex</emphasis></th>
					</tr>			
					
					<!-- Active substance annotations in metadata -->	
					
					<#assign activeSubstanceList = getActiveSubstanceList(mixture) />
					
					<#list activeSubstanceList as substance>	
						<#if substance?has_content>		
							
							<#list substanceMetaDataAttachmentListPart1 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>								
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />	
									</#list>								
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart2 as annotationIdentifier>
							<#assign document = substance />						
								<#list document.annotations as annotations>	
								<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
								</#list>
							</#list>							
							<#list substanceMetaDataAttachmentListPart3 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart4 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>
								</#list>
							</#list>
							<#list substanceMetaDataAttachmentListPart5 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart6 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart7 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart8 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart9 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>							
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart10 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>						
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>						
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart11 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>								
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>								
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart12 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>					
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>							
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart13 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>							
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>						
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart14 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>							
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>								
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart15 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>							
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>				
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart16 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>							
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>				
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart17 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>					
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Active substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>
								</#list>
							</#list>
							
						</#if>
					</#list>
					
							
					<!-- Other substance annotations in metadata -->	
							
					<#assign otherSubstanceList = getOtherSubstanceList(mixture) />
			
					<#list otherSubstanceList as substance>	
						<#if substance?has_content>
					
							<#list substanceMetaDataAttachmentListPart1 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>								
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />	
									</#list>								
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart2 as annotationIdentifier>
							<#assign document = substance />						
								<#list document.annotations as annotations>	
								<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
								</#list>
							</#list>							
							<#list substanceMetaDataAttachmentListPart3 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart4 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>
								</#list>
							</#list>
							<#list substanceMetaDataAttachmentListPart5 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart6 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart7 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart8 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart9 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>							
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart10 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>						
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>						
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart11 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>								
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>								
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart12 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>					
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>							
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart13 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>							
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>						
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart14 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>							
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>								
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart15 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>							
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>				
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart16 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>							
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>				
								</#list>
							</#list>						
							<#list substanceMetaDataAttachmentListPart17 as annotationIdentifier>					
								<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
								<#list documentList as document>					
									<#list document.annotations as annotations>	
									<@tableRowForAnnotations document annotations annotationIdentifier "Other substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid />		
									</#list>
								</#list>
							</#list>
						</#if>
					</#list>
						
					
				</tbody>
			</table>
		</#if>
		
	</chapter>
	
	<chapter label="3">
		<title role="HEAD-1">Annex of Information on Annotations</title>			
			<para>
				<#include "annex_annotations.ftl" encoding="UTF-8" />
			</para>
	</chapter>
</book>

<!-- Macros and functions -->

<!-- Table for Annotations -->					
<#macro tableRowForAnnotations document annotations annotationIdentifier type="" documentName="" documentUUID="" dossierUUID="">
<#compress>
	<#if document?has_content && annotations?has_content>	
		<tr>	
			<td><?dbfo bgcolor="#D1EEF5" ?> 
				<#assign historyList = getFirstHistoryOnlyOfDocument(document) />
				<#if historyList?has_content>
					<para>Document<emphasis role="bold"><phrase role="red"> <@com.text documentName /></phrase></emphasis></para>					
					<@com.emptyLine/>
					<para><emphasis role="bold">UUID of the
					<#if type=="Biocidal Product"><phrase role="green"><@com.text type/>:</phrase></#if>
					<#if type=="Active substance"><phrase role="purple"><@com.text type/>:</phrase></#if>
					<#if type=="Other substance"><phrase role="olive"><@com.text type/>:</phrase></#if>
					</emphasis> <citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}&amp;snapshot=${dossierUUID}"><@com.text documentUUID /></ulink></citetitle></para>
					<para><emphasis role="bold">Last updated:</emphasis> ${historyList.date}</para>
				</#if>	
					<para><emphasis role="bold">Annex II/III requirement: </emphasis><@com.text annotationIdentifier.annexRequirement /></para>
					<para><emphasis role="bold">Section Number:</emphasis> <@com.text annotationIdentifier.sectionNr /></para>					
					<para><emphasis role="bold">Section Name:</emphasis> <@com.text annotationIdentifier.sectionName /></para>
					
					<@dataWaivingComparisonDocument document annotations annotationIdentifier documentName/>
					<@reliabilityComparisonDocument document annotations annotationIdentifier documentName/>
			</td>	
			
			<td><?dbfo bgcolor="#C5FEE1" ?>
				<#assign uuidAnnotation><@annotationUUID annotations/></#assign>
				<#assign historyList = getFirstHistoryOnlyOfAnnotation(annotations) />
					<#if historyList?has_content>
						<para>Annotation <emphasis role="bold"><phrase role="blue"><@annotationName annotations /></phrase></emphasis></para>						
						<?linebreak?><para></para><para><emphasis role="bold">UUID of the annotation:</emphasis> <citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${uuidAnnotation}&amp;snapshot=${dossierUUID}"><@annotationUUID annotations /></ulink></citetitle></para>
						<para><emphasis role="bold">Last updated:</emphasis> ${historyList.date}</para>
					</#if>
					<#assign authority><@annotationNameOfAuthority annotations /></#assign>
					<#assign annotation = iuclid.getDocumentForKey(annotations)/>
					<#assign cb = annotation.DatasetData.AgreementWithApplicantsSummary />
					<#if annotation?has_content>
						<#if authority?has_content>							
							<#if cb>					
								<para>The evaluating authority: <emphasis role="bold"><phrase role="blue"><@annotationNameOfAuthority annotations/></phrase></emphasis> agrees with the applicant's summary</para>
							</#if>
					<#elseif !(authority)?has_content>
							<#if cb>
								<para>The evaluating authority agrees with the applicant's summary</para>
							</#if>
						</#if>
					</#if>
					<@dataWaivingComparisonAnnotation document annotations annotationIdentifier documentName/>
					<@reliabilityComparisonAnnotation document annotations annotationIdentifier documentName/>
			</td>
			
			<td>
			<para><@utilities.annexForAnnotations annotations /></para>
			</td>
		</tr>
		
	</#if>
</#compress>
</#macro>

<#function getFirstHistoryOnlyOfAnnotation annotations>

	<#local annotation = iuclid.getDocumentForKey(annotations)/>
	<#local historyList = iuclid.getHistoryForDocumentKey(annotation.documentKey) />
	
		<#if !(annotation)?has_content>
			<#return [] />
		</#if>
		
		<#if !(historyList)?has_content>
			<#return [] />
		</#if>
		
		<#if historyList?has_content>		
			<#list historyList as history>	
				<#if !(history)?has_content>
					<#return [] />	
					<#else/>
						<#return historyList[0] />					
				</#if>
			</#list>
		</#if>
		<#return [] />		
</#function>

<#function getFirstHistoryOnlyOfDocument document >

	<#local historyList = iuclid.getHistoryForDocumentKey(document.documentKey) />
		
		<#if !(historyList)?has_content>
			<#return [] />
		</#if>
		
		<#if historyList?has_content>
			<#list historyList as history>	
				<#if history??>
					<#return historyList[0]>
				</#if>	
			</#list>
		</#if>
	<#return [] />	
</#function>

<#macro reliabilityComparisonDocument document annotations annotationIdentifier documentName>
<#compress>
<#if document?has_content>
<#local documentPath = annotationIdentifier.docType />				
	<#if documentPath=="ENDPOINT_STUDY_RECORD" >
		
		<#local reliability = document.AdministrativeData.Reliability />
		
		<#local reliabilityRationale = document.AdministrativeData.RationalReliability />
	
		<#assign annotationReliability><@annotationDatasetReliability annotations/></#assign>
		
			<#if reliability?has_content && annotationReliability?has_content>
				<para><emphasis role="bold">Reliability information in document</emphasis></para>
					<para>Reliability of study for the record: <phrase role="blue"><@com.text documentName /></phrase> according to the <phrase role="orange">applicant</phrase> is:</para>
					<para role="indent">				
						<para><emphasis role="bold">Reliability:</emphasis> <@com.picklist reliability /></para>
						<#if reliabilityRationale?has_content>
							<para><emphasis role="bold">Rationale:</emphasis> <@com.picklist reliabilityRationale /></para>
						</#if>
					</para>
			</#if>
	</#if>
</#if>
</#compress>
</#macro>

<#macro reliabilityComparisonAnnotation document annotations annotationIdentifier documentName>
<#compress>
<#if document?has_content>
<#local documentPath = annotationIdentifier.docType />				
	<#if documentPath=="ENDPOINT_STUDY_RECORD" >
		
		<#local reliability = document.AdministrativeData.Reliability />
		
		<#local reliabilityRationale = document.AdministrativeData.RationalReliability />
	
		<#assign annotationReliability><@annotationDatasetReliability annotations/></#assign>
		
		<#if reliability?has_content && annotationReliability?has_content>
			<para><emphasis role="bold">Reliability evaluation in the annotation</emphasis></para>
			<para>Reliability of study for the record: <phrase role="blue"><@com.text documentName /></phrase> according to the <phrase role="orange">evaluating authority</phrase> is:</para>
			<para role="indent">	
				<@annotationDatasetReliability annotations/>
			</para>
		</#if>
	</#if>
</#if>
</#compress>
</#macro>

<#macro dataWaivingComparisonDocument document annotations annotationIdentifier documentName>
<#compress>
<#if document?has_content>

	<#local documentPath = annotationIdentifier.docType />				
	<#if documentPath=="ENDPOINT_STUDY_RECORD" >
	
		<#local dataWaivingInEndpointStudyRecord = document.AdministrativeData.DataWaiving />
		
		<#local dataWaivingJustificationInEndpointStudyRecord = document.AdministrativeData.DataWaivingJustification />
		
		<#assign annotationDataWaiving><@annotationDatasetDataWaiving annotations/></#assign>
		
		<#if dataWaivingInEndpointStudyRecord?has_content && annotationDataWaiving?has_content>		
			<para><emphasis role="bold">Data Waiving information in document</emphasis></para>
			<para>Data waiving provided in the record: <phrase role="blue"><@com.text documentName /></phrase> according to the <phrase role="orange">applicant</phrase> is:</para>
				<para role="indent">
					<@com.picklist dataWaivingInEndpointStudyRecord />
					<@picklistMultipleSpecialBulletPoints dataWaivingJustificationInEndpointStudyRecord />
				</para>	
		</#if>
	</#if>
</#if>
</#compress>
</#macro>

<#macro dataWaivingComparisonAnnotation document annotations annotationIdentifier documentName>
<#compress>
<#if document?has_content>

	<#local documentPath = annotationIdentifier.docType />				
	<#if documentPath=="ENDPOINT_STUDY_RECORD" >
	
		<#local dataWaivingInEndpointStudyRecord = document.AdministrativeData.DataWaiving />
		
		<#local dataWaivingJustificationInEndpointStudyRecord = document.AdministrativeData.DataWaivingJustification />
		
		<#assign annotationDataWaiving><@annotationDatasetDataWaiving annotations/></#assign>
		
		<#if dataWaivingInEndpointStudyRecord?has_content && annotationDataWaiving?has_content>		
		
			<#if annotationDataWaiving?has_content>
			<para><emphasis role="bold">Data Waiving evaluation in the annotation</emphasis></para>
			<para>Data waiving evaluation according to the <phrase role="orange">authority</phrase> for the record: <phrase role="blue"><@com.text documentName /></phrase> is:</para>
				<para role="indent">			
					<@annotationDatasetDataWaiving annotations />
				</para>				
			</#if>
		</#if>
		
	</#if>
</#if>
</#compress>
</#macro>

<#macro annotationName annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		${annotation.BasicData.Name}
			<#else/>
			No Annotation Name is provided
		</#if>
</#compress>
</#macro>
<#macro annotationNameOfAuthority annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		${annotation.BasicData.Authority}
			<#else/>
			No Authority or Organisation name is provided for this annotation
		</#if>
</#compress>
</#macro>
<#macro annotationStatus annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.picklist annotation.BasicData.AnnotationStatus/>
			<#else/>
			No Annotation Status is provided for this annotation
		</#if>
</#compress>
</#macro>
<#macro annotationRemarks annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.richText annotation.BasicData.Remarks/>
			<#else/>
			No Remarks are provided for this annotation
		</#if>
</#compress>
</#macro>
<#macro annotationAttachedEvaluationName annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
			<#assign attachmentData = annotation.BasicData.AttachedRegulatoryAuthoritiesEvaluation />
			<#if attachmentData?has_content>
			<#assign attachment = iuclid.getMetadataForAttachment(attachmentData.Evaluation) />
				<#if attachment?has_content>			
				Name of attached Evaluation: ${attachment.filename}
					<@com.emptyLine/>
				Remarks for attached Evaluation: ${attachment.remarks}
				</#if>
			</#if>
		</#if>
</#compress>
</#macro>
<#macro annotationDatasetDataWaiving annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.picklist annotation.DatasetData.DataWaiverAcceptable/>
		</#if>
</#compress>
</#macro>
<#macro annotationDatasetReliability annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.picklist annotation.DatasetData.Reliability/>
		</#if>
</#compress>
</#macro>
<#macro annotationDatasetRemarks annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.text annotation.DatasetData.Remarks/>
		</#if>
</#compress>
</#macro>
<#macro annotationDatasetCrossReference annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.text annotation.DatasetData.CrossReferenceToOtherStudy/>
		</#if>
</#compress>
</#macro>
<#macro annotationDatasetConclusions annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.text annotation.DatasetData.Conclusions/>
		</#if>
</#compress>
</#macro>
<#macro annotationDatasetExecSummary annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.richText annotation.DatasetData.ExecutiveSummary/>
		</#if>
</#compress>
</#macro>
<#macro annotationUUID annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.text annotation.documentKey.uuid/>
		</#if>
</#compress>
</#macro>

<#function getSubstanceFromMixture mixture>
	<#local substanceList = []/>

	<#local compositionList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "MixtureComposition") />
	
	<#list compositionList as composition>
		<#local componentList = composition.Components.Components/>
	
		<#list componentList as component>
			<#local substance = iuclid.getDocumentForKey(component.Reference)/>
			<#if substance.documentType=="REFERENCE_SUBSTANCE">
			<#return [] />
			<#else/>
				<#if substance?has_content && substance.documentType=="SUBSTANCE" || substance.documentType=="MIXTURE">
					<#local substanceList = com.addDocumentToSequenceAsUnique(substance, substanceList)/>
				</#if>
			</#if>
		</#list>
	</#list>
	
	<#return substanceList />
</#function>

<#function checkSubstanceRoot substance>
	<#local substances = []/>	
	
	<#if !(rootDocument.documentType=="SUBSTANCE")>
		<#return [] />
	</#if>
		
	<#if rootDocument.documentType=="SUBSTANCE">
		<#return true>
	</#if>
	
	<#list substanceAnnotationsList as annotationIdentifier>
		<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
		<#if documentList?has_content>
			<#list documentList as document>
				<#if document?has_content>		
					<#list document.annotations as annotationsKey>
					<#assign annotation = iuclid.getDocumentForKey(annotationsKey)/>
					<#if !(annotation.BasicData.Name?has_content)>
						<#return []>
					</#if>
					</#list>
				</#if>
			</#list>
		</#if>
	</#list>
	
	<#return substances />
</#function>

<#function checkMixtureRoot mixture>
	<#local mixtures = []/>
	<#if !(rootDocument.documentType=="MIXTURE")>
		<#return [] />
	</#if>
	
	<#if rootDocument.documentType=="MIXTURE">
		<#return true>
	</#if>
	
	<#return mixtures />
</#function>

<#function getActiveSubstanceList mixture>
	<#local substanceList = []/>

	<#local compositionList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "MixtureComposition") />
	
	<#list compositionList as composition>
	<#if composition?has_content>
		<#local componentList = composition.Components.Components/>
	
		<#list componentList as component>
			<#if isComponentActiveSubstance(component)>
				<#local substance = iuclid.getDocumentForKey(component.Reference)/>
				<#if substance?has_content && (substance.documentType=="SUBSTANCE" || substance.documentType=="MIXTURE")>
					<#local substanceList = com.addDocumentToSequenceAsUnique(substance, substanceList)/>	
				</#if>			
			</#if>			
		</#list>
	</#if>
	</#list>
	
	<#return substanceList />
</#function>

<#function isComponentActiveSubstance component>
	<#return component.Function?has_content && com.picklistValueMatchesPhrases(component.Function, ["active substance"]) />
</#function>

<#function getOtherSubstanceList mixture>
	<#local substanceList = []/>

	<#local compositionList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "MixtureComposition") />
	
	<#list compositionList as composition>
	<#if composition?has_content>
		<#local componentList = composition.Components.Components/>
	
		<#list componentList as component>
			<#if isComponentOtherSubstance(component)>
				<#local substance = iuclid.getDocumentForKey(component.Reference)/>
				<#if substance?has_content && (substance.documentType=="SUBSTANCE" || substance.documentType=="MIXTURE")>
					<#local substanceList = com.addDocumentToSequenceAsUnique(substance, substanceList)/>	
				</#if>	
			</#if>
		</#list>
	</#if>
	</#list>
	
	<#return substanceList />
</#function>

<#function isComponentOtherSubstance component>
	<#return component.Function?has_content && com.picklistValueMatchesPhrases(component.Function, ["absorbent", "adsorbent", "anticaking agent", "anticoagulant", "booster", "buffer", "coagulant", "coating agent", "colourant", "complexing agent", "conditioner", "controlled release agent", "crystal growth regulator", "dehydrating agent", "denaturant", "drying agent", "dye", "emulsifier", "filler", "flow aid agent", "fragrance", "hardener", "lubricant",
	 "moisturiser", "neutraliser", "odour masking agent", "pH adjuster", "pigment", "propellant", "solvent", "stabiliser", "stiffener", "UV absorber", "viscosity modifier", "water repellent", "wetting agent", "other:"]) />
</#function>

<#function checkAnnotation substance>
	<#local annotationsPrint = []/>
	
	<#list substanceAnnotationsList as annotationIdentifier>
		<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, annotationIdentifier.docType, annotationIdentifier.docSubType) />
		<#list documentList as documentList>	
			<#if documentList?has_content>
				<#list documentList.annotations as annotationsKey>
					<#if !(annotationsKey?has_content)>
						<#return false />
					</#if>
					<#if annotationsKey?has_content>
						<#local annotation = iuclid.getDocumentForKey(annotationsKey)/>
						<#if !(annotation?has_content)>
							<#return false />
							<#else/>						
							<#return true />
						</#if>
					</#if>
				
				</#list>
				
			</#if>
		</#list>
		
	</#list>
	
	<#return false />
		
</#function>

<#macro picklistSpecialRemarks picklistValue locale="en" printOtherPhrase=false>
<#compress>
	<#escape x as x?html>
		<#local localizedPhrase = iuclid.localizedPhraseDefinitionFor(picklistValue.code, locale) />
		<#if localizedPhrase?has_content>
			<#if !localizedPhrase.open || !(localizedPhrase.text?matches("other:")) || printOtherPhrase>
				${localizedPhrase.text} <#t>
			</#if>
			<#if localizedPhrase.open && picklistValue.otherText?has_content>
				${picklistValue.otherText}<#t>
			</#if>
			<#if localizedPhrase.description?has_content>
				[${localizedPhrase.description}]
			</#if>
		</#if>
		<#if picklistValue.remarks?has_content>
			<emphasis role="bold">Remarks:</emphasis> ${picklistValue.remarks}
		</#if> 
		<#lt>
	</#escape>
</#compress>
</#macro>

<#macro picklistMultipleSpecialBulletPoints picklistMultipleValue>
<#compress>
	<#if picklistMultipleValue?has_content>
		<#list picklistMultipleValue as item>
			<@picklistSpecialRemarks item/>
			<#if item_has_next><para></para>
			</#if>
		</#list>
	</#if>
</#compress>
</#macro>

<#macro spontaneousUpdateJustification spontaneousUpdateRepeatableBlock>
<#compress>
	<#if spontaneousUpdateRepeatableBlock?has_content>
		<#list spontaneousUpdateRepeatableBlock.AfterSpontaneousUpdate as blockItem>
			<#if blockItem?has_content>
				<para role="indent"><emphasis role="bold">Justification:</emphasis> <@com.picklist blockItem.Justification /></para>
				<para role="indent"><emphasis role="bold">Remarks for justification:</emphasis> <@com.text blockItem.Remarks /></para>				
			</#if>
		</#list>
  	</#if>
</#compress>
</#macro>

<#macro updateBasedOnRegulatoryBody updateRepeatableBlock>
<#compress>
	<#if updateRepeatableBlock?has_content>
		<#list updateRepeatableBlock.AfterRequestDecisionRegulatoryBody as blockItem>
			<#if blockItem?has_content>
				<para role="indent"><emphasis role="bold">Number:</emphasis> <@com.text blockItem.Number /></para>
				<para role="indent"><emphasis role="bold">Remarks:</emphasis> <@com.text blockItem.Remarks /></para>
			</#if>
		</#list>
  	</#if>
</#compress>
</#macro>

<#macro dossierHeaderInfoOnUpdate dossier>
<#compress>
<#local cb = dossier.SpecificSubmissions.SubmissionIsAnUpdate />
<#local cbDossierUpdateDueToRegulatoryBodyRequestOrDecision = dossier.SpecificSubmissions.ReasonForUpdating.RequestDecisionRegulatoryBody />
<#local cbDossierUpdateSpontaneous = dossier.SpecificSubmissions.ReasonForUpdating.SpontaneousUpdate />
<#if cb>
	<#if cbDossierUpdateDueToRegulatoryBodyRequestOrDecision>
		<para><phrase role="olive">Dossier is an update and based on a request or decision of a regulatory body</phrase></para>
		<@updateBasedOnRegulatoryBody dossier.SpecificSubmissions.ReasonForUpdating />
	</#if>
	<#if cbDossierUpdateSpontaneous>
		<para><phrase role="olive">Dossier is a spontaneous update from the applicant</phrase></para>
		<@spontaneousUpdateJustification dossier.SpecificSubmissions.ReasonForUpdating />
	</#if>
		<#else/>
			<para>Dossier is not an update</para>
</#if>	
</#compress>
</#macro>

<#function getSubstanceListForSubstance mixtureCompositions>
	<#local substanceList = []/>
	
		<#local componentList = mixtureCompositions.Components.Components/>
	
		<#list componentList as component>
		<#local substance = iuclid.getDocumentForKey(component.Reference)/>
		
			<#if substance?has_content || substance.documentType=="SUBSTANCE" || substance.documentType=="MIXTURE" || substance.documentType=="REFERENCE_SUBSTANCE">
				<#local substanceList = com.addDocumentToSequenceAsUnique(substance, substanceList)/>
					<#return substanceList />
			</#if>
		</#list>
</#function>