<#-- Attachments list main template file -->
<#-- Include utilities for the list of attachment identifiers -->
<#include "attachments_mixtures_csv_bpr_utilities.ftl" />
<#-- Import common macros and functions -->
<#import "macros_common.ftl" as com>
<#-- Attachments -->
<#assign locale = "en" />
<#assign substance = rootDocument />
<#assign mixture = rootDocument />	
 <#-- Print the headears for each column -->
Annex II and Annex III reqiurements,Section number,Section name,Document name,Document UUID,Attachment filename,Attachment remarks,Attachment media type,Attachment size
<#compress>
<#assign mixtureList = checkMixtureRoot(mixture) />
<#if mixtureList?has_content>
<#-- Biocidal Product attachments in metadata -->						
<#assign document = mixture />
<#if document?has_content>
	<#list document.attachments as attachments>
	<#if attachments?has_content>
	<@tableRowForAttachments document attachments mixtureAttachmentMetaDataListPart2 "Biocidal Product" document.name document.documentKey.uuid />
	</#if>
	</#list>
</#if>	
<#list mixtureAttachmentMetaDataListPart1 as attachmentIdentifier>					
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
		<#list document.attachments as attachments>	
		<#if attachments?has_content>
		<@tableRowForAttachments document attachments attachmentIdentifier "Biocidal Product" document.name document.documentKey.uuid />
		</#if>
		</#list>
	</#list>
</#list>
<#-- Biocidal Product attachments in documents -->
<#list mixtureAttachedFullStudyReportList as attachmentIdentifier>	
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>	
		<#if document?has_content>
		<#if isFullStudyAttachmentPresent(document, attachmentIdentifier)>
		<@tableRowForAttachedStudy document attachmentIdentifier "Biocidal Product" document.name document.documentKey.uuid />,
		</#if>
		</#if>
	</#list>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "Suppliers") />					
<#list documentList as document>
	<#if isAssignmentSupplierAttachment(document, mixtureSuppliersAssignmentID)>
	<@tableRowForAssignedSuppliers document mixtureSuppliersAssignmentID "Biocidal Product" document.name document.documentKey.uuid />,
	</#if>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "Suppliers") />					
<#list documentList as document>
	<#list document.OnlyRepresentationInfo.ImporterEntries as otherImportersItem>
		<#if otherImportersItem?has_content>
		<@tableRowForSuppliersOtherImporters otherImportersItem mixtureSuppliersAgreementID "Biocidal Product" document.name document.documentKey.uuid />,			
		</#if>
	</#list>
</#list>	
<#list mixtureImageList as attachmentIdentifier>
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
		<#if document?has_content>
		<#if isImageAttachmentPresent(document, attachmentIdentifier)>
		<@tableRowForImages document attachmentIdentifier "Biocidal Product" document.name document.documentKey.uuid />,
		</#if>
		</#if>
	</#list>
</#list>
<#list mixtureBackgroundMaterialList as attachmentIdentifier>
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>	
		<#if document?has_content>
		<#list document.OverallRemarksAttachments.AttachedBackgroundMaterial as backgroundJustificationItem>
		<#if backgroundJustificationItem?has_content>
		<@tableRowForBackgroundMaterial backgroundJustificationItem attachmentIdentifier "Biocidal Product" document.name document.documentKey.uuid />,			
		</#if>
		</#list>
		</#if>
	</#list>
</#list>
<#list mixtureJustificationForDataWaivingList as attachmentIdentifier>	
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
		<#if document?has_content>
		<#list document.AdministrativeData.AttachedJustification as attachedJustificationItem>
		<#if attachedJustificationItem?has_content>
		<@tableRowForAttachedJustification attachedJustificationItem attachmentIdentifier "Biocidal Product" document.name document.documentKey.uuid />,
		</#if>
		</#list>
		</#if>
	</#list>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "BioPackaging") />					
<#list documentList as document>
	<#if document?has_content>
	<#list document.Packaging.PackagingRelatedAttachments as packagingRelatedAttachmentItem>
	<#if packagingRelatedAttachmentItem?has_content>
		<@tableRowForBioPackaging packagingRelatedAttachmentItem attachmentPackagingID "Biocidal Product" document.name document.documentKey.uuid />,
	</#if>
	</#list>
	</#if>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_SUMMARY", "BioSummaryEvaluation") />					
<#list documentList as document>
	<#list document.ReportsAndAdministrativeInformation.SummaryAndEvaluation.PackagingRelatedAttachments as summaryEvaluationAttachmentItem>
	<#if summaryEvaluationAttachmentItem?has_content>
		<@tableRowForSummaryEvaluationAttachment summaryEvaluationAttachmentItem summaryAndEvaluationID "Biocidal Product" document.name document.documentKey.uuid />,	
	</#if>
	</#list>
</#list>
</#if>
</#compress>
<#compress>
<#-- Attachments (substance) -->
<#assign mixtureList = checkMixtureRoot(mixture) />
<#if mixtureList?has_content>
<#assign activeSubstanceList = getActiveSubstanceList(mixture) />
,<#list activeSubstanceList as substance>	
<#if substance?has_content>
<#-- Active substance attachments in metadata -->							
<#list substanceMetaDataAttachmentListPart1 as attachmentIdentifier>					
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>								
		<#list document.attachments as attachments>	
		<#if attachments?has_content>
		<@tableRowForAttachments document attachments attachmentIdentifier "Active substance" document.name document.documentKey.uuid />
		</#if>
		</#list>		
	</#list>
</#list>
<#list substanceMetaDataAttachmentListPart2 as attachmentIdentifier>
<#assign document = substance />						
	<#list document.attachments as attachments>
	<#if attachments?has_content>	
	<@tableRowForAttachments document attachments attachmentIdentifier "Active substance" document.name document.documentKey.uuid />
	</#if>
	</#list>
</#list>
<#list substanceMetaDataAttachmentListPart3 as attachmentIdentifier>					
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
		<#list document.attachments as attachments>
		<#if attachments?has_content>
		<@tableRowForAttachments document attachments attachmentIdentifier "Active substance" document.name document.documentKey.uuid />
		</#if>
		</#list>
	</#list>
</#list>
<#-- Active substance attachments in documents -->
<#list activeSubstanceBackgroundMaterialList as attachmentIdentifier>			
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>						
		<#list document.OverallRemarksAttachments.AttachedBackgroundMaterial as backgroundJustificationItem>
		<#if backgroundJustificationItem?has_content>
		<@tableRowForBackgroundMaterial backgroundJustificationItem attachmentIdentifier "Active substance" document.name document.documentKey.uuid />,
		</#if>
		</#list>
	</#list>
</#list>
<#list activeSubstanceAttachedFullStudyReportList as attachmentIdentifier>					
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
		<#if document?has_content>
		<#if isFullStudyAttachmentPresent(document, attachmentIdentifier)>
		<@tableRowForAttachedStudy document attachmentIdentifier "Active substance" document.name document.documentKey.uuid />,
		</#if>
		</#if>
	</#list>
</#list>
<#list activeSubstanceImageList as attachmentIdentifier>					
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>	
		<#if document?has_content>
		<#if isImageAttachmentPresent(document, attachmentIdentifier)>
		<@tableRowForImages document attachmentIdentifier "Active substance" document.name document.documentKey.uuid />,
		</#if>
		</#if>
	</#list>
</#list>
<#list activeSubstanceJustificationForDataWaivingList as attachmentIdentifier>					
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
		<#list document.AdministrativeData.AttachedJustification as attachedJustificationItem>
		<#if attachedJustificationItem?has_content>
		<@tableRowForAttachedJustification attachedJustificationItem attachmentIdentifier "Active substance" document.name document.documentKey.uuid />,
		</#if>
		</#list>
	</#list>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "SubstanceComposition") />					
<#list documentList as document>
	<#list document.GeneralInformation.AttachedDescription as attachedDescriptionItem>
		<#if attachedDescriptionItem?has_content>
		<@tableRowForSubstanceComposition attachedDescriptionItem substanceCompositionID "Active substance" document.name document.documentKey.uuid />,
		</#if>
	</#list>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "AnalyticalInformation") />					
<#list documentList as document>
	<#list document.AnalyticalInformation.MethodsAndResultsOfAnalysis.AnalyticalDetermination as attachedAnalyticalDeterminationItem>
		<#if attachedAnalyticalDeterminationItem?has_content>
		<@tableRowForAnalyticalDetermination attachedAnalyticalDeterminationItem analyticalDeterminationID "Active substance" document.name document.documentKey.uuid />,	
		</#if>
	</#list>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "Suppliers") />					
<#list documentList as document>
	<#if document?has_content>
	<#if isAssignmentSupplierAttachment(document, mixtureSuppliersAssignmentID)>
	<@tableRowForAssignedSuppliers document mixtureSuppliersAssignmentID "Active substance" document.name document.documentKey.uuid />,
	</#if>
	</#if>
</#list>						
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "Suppliers") />					
<#list documentList as document>
	<#list document.OnlyRepresentationInfo.ImporterEntries as attachedOtherImportersItem>
		<#if attachedOtherImportersItem?has_content>
		<@tableRowForSuppliersOtherImporters attachedOtherImportersItem mixtureSuppliersAgreementID "Active substance" document.name document.documentKey.uuid />,							
		</#if>
	</#list>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_SUMMARY", "BioSummaryEvaluation") />					
<#list documentList as document>
		<#list document.ReportsAndAdministrativeInformation.SummaryAndEvaluation.PackagingRelatedAttachments as typeOfReportIdentifierItem>
			<#if typeOfReportIdentifierItem?has_content>							
			<@tableRowForSummaryEvaluationTypeOfReport typeOfReportIdentifierItem activeSubstanceSummaryTypeOfReportID "Active substance" document.name document.documentKey.uuid />,	
			</#if>
		</#list>
</#list>
</#if>
</#list>
</#if>
</#compress>
<#compress>
<#-- Attachments (substance) -->
<#assign mixtureList = checkMixtureRoot(mixture) />
<#if mixtureList?has_content>
<#assign otherSubstanceList = getOtherSubstanceList(mixture) />
,<#list otherSubstanceList as substance>
<#if substance?has_content>
<#-- Other substance attachments in metadata -->
<#list substanceMetaDataAttachmentListPart1 as attachmentIdentifier>					
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
		<#list document.attachments as attachments>	
		<#if attachments?has_content>
		<@tableRowForAttachments document attachments attachmentIdentifier "Other substance" document.name document.documentKey.uuid />
		</#if>
		</#list>
	</#list>
</#list>
<#list substanceMetaDataAttachmentListPart2 as attachmentIdentifier>
<#assign document = substance />						
		<#list document.attachments as attachments>	
		<#if attachments?has_content>
		<@tableRowForAttachments document attachments attachmentIdentifier "Other substance" document.name document.documentKey.uuid />
		</#if>
		</#list>
</#list>
<#list substanceMetaDataAttachmentListPart3 as attachmentIdentifier>					
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
		<#list document.attachments as attachments>	
		<#if attachments?has_content>
		<@tableRowForAttachments document attachments attachmentIdentifier "Other substance" document.name document.documentKey.uuid />		
		</#if>
		</#list>
	</#list>
</#list>
<#-- Other substance attachments in document  -->
<#list activeSubstanceBackgroundMaterialList as attachmentIdentifier>
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#if documentList?has_content>
	<#list documentList as document>
		<#if document?has_content>
			<#list document.OverallRemarksAttachments.AttachedBackgroundMaterial as backgroundJustificationItem>
			<#if backgroundJustificationItem?has_content>
			<@tableRowForBackgroundMaterial backgroundJustificationItem attachmentIdentifier "Other substance" document.name document.documentKey.uuid />,
			</#if>
			</#list>
		</#if>
	</#list>
	</#if>
</#list>
<#list activeSubstanceAttachedFullStudyReportList as attachmentIdentifier>					
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
		<#if document?has_content>
		<#if isFullStudyAttachmentPresent(document, attachmentIdentifier)>
		<@tableRowForAttachedStudy document attachmentIdentifier "Other substance" document.name document.documentKey.uuid />,
		</#if>
		</#if>
	</#list>
</#list>
<#list activeSubstanceImageList as attachmentIdentifier>					
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>	
		<#if document?has_content>
		<#if isImageAttachmentPresent(document, attachmentIdentifier)>
		<@tableRowForImages document attachmentIdentifier "Other substance" document.name document.documentKey.uuid />,
		</#if>
		</#if>
	</#list>
</#list>
<#list activeSubstanceJustificationForDataWaivingList as attachmentIdentifier>					
	<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
	<#list documentList as document>
		<#list document.AdministrativeData.AttachedJustification as attachedJustificationItem>
		<#if attachedJustificationItem?has_content>
		<@tableRowForAttachedJustification attachedJustificationItem attachmentIdentifier "Other substance" document.name document.documentKey.uuid />,
		</#if>
		</#list>
	</#list>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "SubstanceComposition") />					
<#list documentList as document>
	<#list document.GeneralInformation.AttachedDescription as attachedDescriptionItem>
		<#if attachedDescriptionItem?has_content>
			<@tableRowForSubstanceComposition attachedDescriptionItem substanceCompositionID "Other substance" document.name document.documentKey.uuid />,
		</#if>
	</#list>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "AnalyticalInformation") />					
<#list documentList as document>
	<#list document.AnalyticalInformation.MethodsAndResultsOfAnalysis.AnalyticalDetermination as attachedAnalyticalDeterminationItem>
		<#if attachedAnalyticalDeterminationItem?has_content>
		<@tableRowForAnalyticalDetermination attachedAnalyticalDeterminationItem analyticalDeterminationID "Other substance" document.name document.documentKey.uuid />,	
		</#if>
	</#list>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "Suppliers") />					
<#list documentList as document>
	<#if document?has_content>
	<#if isAssignmentSupplierAttachment(document, mixtureSuppliersAssignmentID)>
	<@tableRowForAssignedSuppliers document mixtureSuppliersAssignmentID "Other substance" document.name document.documentKey.uuid />,
	</#if>
	</#if>
</#list>						
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "Suppliers") />					
<#list documentList as document>
	<#list document.OnlyRepresentationInfo.ImporterEntries as attachedOtherImportersItem>
		<#if attachedOtherImportersItem?has_content>
		<@tableRowForSuppliersOtherImporters attachedOtherImportersItem mixtureSuppliersAgreementID "Other substance" document.name document.documentKey.uuid />,							
		</#if>
	</#list>
</#list>
<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_SUMMARY", "BioSummaryEvaluation") />					
<#list documentList as document>
	<#if document?has_content>
		<#list document.ReportsAndAdministrativeInformation.SummaryAndEvaluation.PackagingRelatedAttachments as typeOfReportIdentifierItem>
			<#if typeOfReportIdentifierItem?has_content>							
			<@tableRowForSummaryEvaluationTypeOfReport typeOfReportIdentifierItem activeSubstanceSummaryTypeOfReportID "Other substance" document.name document.documentKey.uuid />,	
			</#if>
		</#list>
	</#if>
</#list>	
</#if>
</#list>
</#if>
</#compress>
<#-- Macros and functions -->
<#-- table for attachments in metadata -->	
<#macro tableRowForAttachments document attachments attachmentIdentifier type="" documentName="" documentUUID="">
<#if attachments?has_content && attachmentIdentifier?has_content>
<@com.text attachmentIdentifier.annexRequirement />,<@com.text attachmentIdentifier.sectionNr />,${attachmentIdentifier.sectionName?replace(",","")},<#if documentName?has_content>${documentName?replace(",","")}<#else/>${document.name?replace(",","")}</#if>,<#if documentUUID?has_content><@com.text documentUUID /><#else/><@com.text document.documentKey.uuid /></#if>,<@attachmentName attachments />,<@remarksForAttachment attachments />,<@attachmentMediaType attachments />,<@attachmentSize attachments />
</#if>
</#macro>
<#-- table for images -->					
<#macro tableRowForImages document attachmentIdentifier type="" documentName="" documentUUID="">
<#compress>
<#if document?has_content && attachmentIdentifier?has_content>
<#local attachmentPath = "document." + attachmentIdentifier.attachmentNamePath />
<#local attachment = attachmentPath?eval />
<#if attachment?has_content>
<@com.text attachmentIdentifier.annexRequirement />,<@com.text attachmentIdentifier.sectionNr />,${attachmentIdentifier.sectionName?replace(",","")},<#if documentName?has_content>${documentName?replace(",","")}<#else/>${document.name?replace(",","")}</#if>,<#if documentUUID?has_content><@com.text documentUUID /><#else/><@com.text document.documentKey.uuid /></#if>,<@attachmentName attachment />,<@remarksForAttachment attachment />,<@attachmentMediaType attachment />,<@attachmentSize attachment />
</#if>
</#if>
</#compress>
</#macro>
<#-- table for attached background material -->
<#macro tableRowForBackgroundMaterial backgroundJustificationItem attachmentIdentifier type="" documentName="" documentUUID="">
<#compress>
<#if backgroundJustificationItem?has_content && attachmentIdentifier?has_content>
<#local attachment = backgroundJustificationItem.AttachedDocument />
<#local attachmentRemarks =  backgroundJustificationItem.Remarks />
<#if attachment?has_content>
<@com.text attachmentIdentifier.annexRequirement />,<@com.text attachmentIdentifier.sectionNr />,${attachmentIdentifier.sectionName?replace(",","")},<#if documentName?has_content>${documentName?replace(",","")}<#else/>${document.name?replace(",","")}</#if>,<#if documentUUID?has_content><@com.text documentUUID /><#else/><@com.text document.documentKey.uuid /></#if>,<@attachmentName attachment />,<@remarksForAttachment attachment /><#if attachmentRemarks?has_content> Other remarks: ${attachmentRemarks?replace(",","")}</#if>,<@attachmentMediaType attachment />,<@attachmentSize attachment />,
</#if>
</#if>
</#compress>
</#macro>
<#-- table for attached study reports -->					
<#macro tableRowForAttachedStudy document attachmentIdentifier type="" documentName="" documentUUID="">
<#compress>
<#if document?has_content && attachmentIdentifier?has_content>
<#local attachmentPath = "document." + attachmentIdentifier.attachmentNamePath />
<#local attachment = attachmentPath?eval />	
<#if attachment?has_content>
<#list attachment as attachments>
<@com.text attachmentIdentifier.annexRequirement />,<@com.text attachmentIdentifier.sectionNr />,${attachmentIdentifier.sectionName?replace(",","")},<#if documentName?has_content>${documentName?replace(",","")}<#else/>${document.name?replace(",","")}</#if>,<#if documentUUID?has_content><@com.text documentUUID /><#else/><@com.text document.documentKey.uuid /></#if>,<@attachmentName attachments />,<@remarksForAttachment attachments />,<@attachmentMediaType attachments />,<@attachmentSize attachments />
</#list>
</#if>
</#if>
</#compress>
</#macro>
<#-- data waiving justification table -->
<#macro tableRowForAttachedJustification attachedJustificationItem attachmentIdentifier type="" documentName="" documentUUID="">
<#compress>
<#if attachedJustificationItem?has_content>
<#local attachment = attachedJustificationItem.AttachedJustification />
<#local attachmentRemarks =  attachedJustificationItem.ReasonPurpose />
<#if attachment?has_content>
<@com.text attachmentIdentifier.annexRequirement />,<@com.text attachmentIdentifier.sectionNr />,${attachmentIdentifier.sectionName?replace(",","")},<#if documentName?has_content>${documentName?replace(",","")}<#else/>${document.name?replace(",","")}</#if>,<#if documentUUID?has_content><@com.text documentUUID /><#else/><@com.text document.documentKey.uuid /></#if>,<@attachmentName attachment />,<@remarksForAttachment attachment />,<@attachmentMediaType attachment />,<@attachmentSize attachment />
</#if>
</#if>
</#compress>
</#macro>
<#-- assigned suppliers table -->
<#macro tableRowForAssignedSuppliers document attachmentIdentifier type="" documentName="" documentUUID="">
<#compress>
<#if document?has_content>
<#local attachmentPath = "document." + "OnlyRepresentationInfo.NonEUManufacturerAssignment" />
<#local attachment = attachmentPath?eval />
<#if attachment?has_content>
<@com.text attachmentIdentifier.annexRequirement />,<@com.text attachmentIdentifier.sectionNr />,${attachmentIdentifier.sectionName?replace(",","")},<#if documentName?has_content>${documentName?replace(",","")}<#else/>${document.name?replace(",","")}</#if>,<#if documentUUID?has_content><@com.text documentUUID /><#else/><@com.text document.documentKey.uuid /></#if>,<@attachmentName attachment />,<@remarksForAttachment attachment />,<@attachmentMediaType attachment />,<@attachmentSize attachment />
</#if>
</#if>
</#compress>
</#macro>
<#-- other importers table -->
<#macro tableRowForSuppliersOtherImporters otherImportersItem mixtureSuppliersAgreementID type="" documentName="" documentUUID="">
<#compress>
<#if otherImportersItem?has_content>
<#local attachment = otherImportersItem.Agreement />
<#if attachment?has_content>
<@com.text mixtureSuppliersAgreementID.annexRequirement />,<@com.text mixtureSuppliersAgreementID.sectionNr />,<@com.text mixtureSuppliersAgreementID.sectionName />,<#if documentName?has_content>${documentName?replace(",","")}<#else/>${document.name?replace(",","")}</#if>,<#if documentUUID?has_content><@com.text documentUUID /><#else/><@com.text document.documentKey.uuid /></#if>,<@attachmentName attachment />,<@remarksForAttachment attachment />,<@attachmentMediaType attachment />,<@attachmentSize attachment />
</#if>
</#if>
</#compress>
</#macro>
<#-- related packaging attachment table -->
<#macro tableRowForBioPackaging packagingRelatedAttachmentItem packagingAttachmentID type="" documentName="" documentUUID="">
<#compress>
<#if packagingRelatedAttachmentItem?has_content>
<#local attachment = packagingRelatedAttachmentItem />
<#if attachment.AttachedDocument?has_content>
<@com.text packagingAttachmentID.annexRequirement />,<@com.text packagingAttachmentID.sectionNr />,<@com.text packagingAttachmentID.sectionName />,<#if documentName?has_content>${documentName?replace(",","")}<#else/>${document.name?replace(",","")}</#if>,<#if documentUUID?has_content><@com.text documentUUID /><#else/><@com.text document.documentKey.uuid /></#if>,<@attachmentName attachment.AttachedDocument />,<@remarksForAttachment attachment.AttachedDocument />,<@attachmentMediaType attachment.AttachedDocument />,<@attachmentSize attachment.AttachedDocument />
</#if>
</#if>
</#compress>
</#macro>
<#-- summary and evaluation attachment  -->
<#macro tableRowForSummaryEvaluationAttachment summaryEvaluationAttachmentItem summaryAndEvaluationID type="" documentName="" documentUUID="">
<#compress>
<#if summaryEvaluationAttachmentItem?has_content>
<#local attachment = summaryEvaluationAttachmentItem />
<#if attachment.Attachments?has_content>
<@com.text summaryAndEvaluationID.annexRequirement />,<@com.text summaryAndEvaluationID.sectionNr />,<@com.text summaryAndEvaluationID.sectionName />,<#if documentName?has_content>${documentName?replace(",","")}<#else/>${document.name?replace(",","")}</#if>,<#if documentUUID?has_content><@com.text documentUUID /><#else/><@com.text document.documentKey.uuid /></#if>,<@attachmentName attachment.Attachments />,<@remarksForAttachment attachment.Attachments />,<@attachmentMediaType attachment.Attachments />,<@attachmentSize attachment.Attachments />
</#if>
</#if>
</#compress>
</#macro>
<#-- substance composition attachment  -->
<#macro tableRowForSubstanceComposition attachedDescriptionItem substanceCompositionID type="" documentName="" documentUUID="">
<#compress>
<#if attachedDescriptionItem?has_content>
<#local attachment = attachedDescriptionItem.AttachedDocument />
<#if attachment?has_content>
<@com.text substanceCompositionID.annexRequirement />,<@com.text substanceCompositionID.sectionNr />,<@com.text substanceCompositionID.sectionName />,<#if documentName?has_content>${documentName?replace(",","")}<#else/>${document.name?replace(",","")}</#if>,<#if documentUUID?has_content><@com.text documentUUID /><#else/><@com.text document.documentKey.uuid /></#if>,<@attachmentName attachment />,<@remarksForAttachment attachment />,<@attachmentMediaType attachment />,<@attachmentSize attachment />
</#if>
</#if>
</#compress>
</#macro>
<#-- analytical determination attachment  -->
<#macro tableRowForAnalyticalDetermination attachedAnalyticalDeterminationItem analyticalDeterminationID type="" documentName="" documentUUID="">
<#compress>
<#if attachedAnalyticalDeterminationItem?has_content>
<#local attachment = attachedAnalyticalDeterminationItem.AttachedMethodsResults />
<#if attachment?has_content>
<@com.text analyticalDeterminationID.annexRequirement />,<@com.text analyticalDeterminationID.sectionNr />,<@com.text analyticalDeterminationID.sectionName />,<#if documentName?has_content>${documentName?replace(",","")}<#else/>${document.name?replace(",","")}</#if>,<#if documentUUID?has_content><@com.text documentUUID /><#else/><@com.text document.documentKey.uuid /></#if>,<@attachmentName attachment />,<@remarksForAttachment attachment />,<@attachmentMediaType attachment />,<@attachmentSize attachment />
</#if>
</#if>
</#compress>
</#macro>
<#macro tableRowForSummaryEvaluationTypeOfReport typeOfReportIdentifierItem activeSubstanceSummaryTypeOfReportID type="" documentName="" documentUUID="">
<#compress>
<#if typeOfReportIdentifierItem?has_content>
<#local attachmentPath = "typeOfReportIdentifierItem." + "Attachments" />
<#local attachment = attachmentPath?eval />
<@com.text activeSubstanceSummaryTypeOfReportID.annexRequirement />,<@com.text activeSubstanceSummaryTypeOfReportID.sectionNr />,<@com.text activeSubstanceSummaryTypeOfReportID.sectionName />,<#if documentName?has_content>${documentName?replace(",","")}<#else/>${document.name?replace(",","")}</#if>,<#if documentUUID?has_content><@com.text documentUUID /><#else/><@com.text document.documentKey.uuid /></#if>,<@attachmentName attachment />,<@remarksForAttachment attachment />,<@attachmentMediaType attachment />,<@attachmentSize attachment />
</#if>
</#compress>
</#macro>
<#compress>
<#-- Functions to check root of report - substance or mixture -->
<#function checkSubstanceRoot substance>
	<#local substances = []/>
	<#if !(rootDocument.documentType=="SUBSTANCE")>
		<#return [] />
	</#if>	
	<#if rootDocument.documentType=="SUBSTANCE">
		<#return true>
	</#if>	
	<#return substances />
</#function>
<#function checkMixtureRoot mixture>
	<#local mixtures = []/>
	<#if !(rootDocument.documentType=="MIXTURE")>
		<#return [] />
	</#if>	
	<#if rootDocument.documentType=="MIXTURE">
		<#return true>
	</#if>
	<#return mixtures />
</#function>
<#-- Macros for attachments -->
<#macro attachmentName attachments>
<#compress>
	<#assign attachmentData = iuclid.getMetadataForAttachment(attachments) />
	<#if attachmentData?has_content>
		<#escape x as x?html>${attachmentData.filename?replace(",","")}</#escape>
	</#if>
</#compress>
</#macro>
<#macro remarksForAttachment attachments>
<#compress>
	<#assign attachmentData = iuclid.getMetadataForAttachment(attachments) />
	<#if attachmentData?has_content>
		<#escape x as x?html>${attachmentData.remarks?replace(",","")?replace("<?linebreak?>","")}</#escape>
		<#else/>
		<emphasis>No remarks for this attachment are provided</emphasis>
	</#if>
</#compress>
</#macro>
<#macro attachmentSize attachments>
<#compress>
	<#assign attachmentData = iuclid.getMetadataForAttachment(attachments) />
	<#if attachmentData?has_content>
	<#escape x as x?html>${attachmentData.size?replace(",","")}</#escape>
	</#if>
</#compress>
</#macro>
<#macro attachmentMediaType attachments >
<#compress>
	<#assign attachmentData = iuclid.getMetadataForAttachment(attachments) />
	<#if attachmentData?has_content>
	<#escape x as x?html>${attachmentData.mediaType?replace(",","")}</#escape>
	</#if>
</#compress>
</#macro>
<#function getActiveSubstanceList mixture>
	<#local substanceList = []/>

	<#local compositionList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "MixtureComposition") />
	
	<#list compositionList as composition>
	<#if composition?has_content>
		<#local componentList = composition.Components.Components/>
	
		<#list componentList as component>
			<#if isComponentActiveSubstance(component)>
				<#local substance = iuclid.getDocumentForKey(component.Reference)/>
				<#if substance?has_content && (substance.documentType=="SUBSTANCE" || substance.documentType=="MIXTURE")>
					<#local substanceList = com.addDocumentToSequenceAsUnique(substance, substanceList)/>	
				</#if>			
			</#if>			
		</#list>
	</#if>
	</#list>
	
	<#return substanceList />
</#function>

<#function isComponentActiveSubstance component>
	<#return component.Function?has_content && com.picklistValueMatchesPhrases(component.Function, ["active substance"]) />
</#function>
<#function getOtherSubstanceList mixture>
	<#local substanceList = []/>

	<#local compositionList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "MixtureComposition") />
	
	<#list compositionList as composition>
	<#if composition?has_content>
		<#local componentList = composition.Components.Components/>
	
		<#list componentList as component>
			<#if isComponentOtherSubstance(component)>
				<#local substance = iuclid.getDocumentForKey(component.Reference)/>
				<#if substance?has_content && (substance.documentType=="SUBSTANCE" || substance.documentType=="MIXTURE")>
					<#local substanceList = com.addDocumentToSequenceAsUnique(substance, substanceList)/>	
				</#if>	
			</#if>
		</#list>
	</#if>
	</#list>
	
	<#return substanceList />
</#function>
<#function isComponentOtherSubstance component>
	<#return component.Function?has_content && com.picklistValueMatchesPhrases(component.Function, ["absorbent", "adsorbent", "anticaking agent", "anticoagulant", "booster", "buffer", "coagulant", "coating agent", "colourant", "complexing agent", "conditioner", "controlled release agent", "crystal growth regulator", "dehydrating agent", "denaturant", "drying agent", "dye", "emulsifier", "filler", "flow aid agent", "fragrance", "hardener", "lubricant",
	 "moisturiser", "neutraliser", "odour masking agent", "pH adjuster", "pigment", "propellant", "solvent", "stabiliser", "stiffener", "UV absorber", "viscosity modifier", "water repellent", "wetting agent", "other:"]) />
</#function>
<#function isImageAttachmentPresent document attachmentIdentifier>

		<#assign attachmentPath = "document." + attachmentIdentifier.attachmentNamePath />
		<#assign attachmentPathImage = attachmentPath?eval />
				
		<#if attachmentPathImage?has_content>
		<#return true />
		<#else/>
		<#return false />
		</#if>
</#function>
<#function isFullStudyAttachmentPresent document attachmentIdentifier>

		<#assign attachmentPath = "document." + attachmentIdentifier.attachmentNamePath />
		<#assign attachmentPathFullStudy = attachmentPath?eval />
				
		<#if attachmentPathFullStudy?has_content>
		<#return true />
		<#else/>
		<#return false />
		</#if>
</#function>

<#function isAttachedDescriptionPresent attachedDescriptionItem>

		<#if attachedDescriptionItem?has_content>
		<#return true />
		<#else/>
		<#return false />
		</#if>
</#function>
<#function isAssignmentSupplierAttachment document mixtureSuppliersAssignmentID>

		<#assign attachmentPath = "document." + "OnlyRepresentationInfo.NonEUManufacturerAssignment" />
		<#assign attachmentPathSupplier = attachmentPath?eval />
				
		<#if attachmentPathSupplier?has_content>
		<#return true />
		<#else/>
		<#return false />
		</#if>
</#function>
</#compress>