<?xml version="1.0" encoding="UTF-8"?>

<#-- BPR Report of confidentiality requests main template file -->

<#-- Include utilities for the list of confidentiality flag identifiers -->
<#include "bpr_conf_requests_utilities.ftl" />

<#-- Import common macros and functions -->
<#import "macros_common.ftl" as com>

<#assign locale = "en" />
<book version="5.0" xmlns="http://docbook.org/ns/docbook" xmlns:xi="http://www.w3.org/2001/XInclude">

	<#assign mixture = rootDocument />
	
	<#-- TODO -->
	<#-- Stop if the root document is not mixture -->
	<#if false>
		<#stop "BPR Confidentiality Claims template expects a mixture/product as root document. The root document is not a mixture/product!" />
	</#if>
	
	<info>
		<title>Report of confidentiality requests according to Article 66 of the Biocidal Products Regulation</title>
		
		<cover>
		<@com.emptyLine/>
			<para><emphasis role="bold">Instructions for using the report</emphasis></para>
						
			<para>Please use the "Confidentiality requests" table to decide on whether the confidentiality claims there listed can be accepted or not accepted. Once you have completed your assessment, send the file to the European Chemicals Agency via the R4BP messaging system <ulink url="https://idp-authority.echa.europa.eu/idp/"/></para>
			
			<para><emphasis role="bold">About the table</emphasis></para>
			
			<para>			
			<para>Each row of the “Confidentiality requests” table represents one confidentiality claim. There are three parts to a confidentiality claim:</para>
			
			<para role="indent">
			<itemizedlist mark='bullet'>
				<listitem><para><para role="indent">
					<para role="indent">The <emphasis>claim type</emphasis>, for example Confidential Business Information (CBI).</para>
				</para></para></listitem>
				<listitem><para><para role="indent">
					<para role="indent">The <emphasis>justification</emphasis> for the confidentiality claim.</para>
				</para></para></listitem>
				<listitem><para><para role="indent">
					<para role="indent">The <emphasis>regulatory programme</emphasis> associated with the confidentiality claim.</para>
				</para></para></listitem>							
			</itemizedlist>
			</para>
			</para>
			
			<para>The report will tell you if one of these three parts have not been provided by the registrant</para>

			<para>Quickly find the confidentiality claim in IUCLID through the ‘Section UUID’ column of the table. You can either copy and paste the UUID number into the UUID search bar in IUCLID 6 to display the section where the confidentiality claim has been made, or, if you have the server version of the IUCLID application open, you can click on the hyperlink provided and open the relevant section directly in IUCLID.</para>
			
			<para>The 'type' of claim is listed as "Product" if the claim is made within a Mixture/Product dataset, "Active substance" if the claim is from a linked substance with function "active substance", and "Other substance" if the claim is from a linked substance with a function other than "Active substance".</para>
								
			<para><emphasis>Columns 1,2,3,4,5,6:</emphasis></para>				
			<para>In combination with the header information, the first six columns (highlighted in blue) are static information and provides you with the core details of the claim to help you locate which parts of the applicant's dossier have been claimed as confidential. The ‘MSCA assessment conclusion’ box found at the bottom of the table is meant for an MSCA to indicate the overall outcome of the assessment. The ‘ECHA Comments’ box found at the bottom of the table is used by ECHA to highlight any essential information about the claim which is not captured in the core details of the case.</para>
			
			<para><emphasis>Columns 7,8,9:</emphasis></para>
			<para>Columns seven (highlighted in orange) are where you record if you ‘accept’ or ‘do not accept’ the confidentiality claim. In column eight enter what you base your decision on, i.e. an assessment of the dossier, on additional information gathered outside of the dossier, or on both of these sources. If you decide NOT to accept the claim, please fill out column eight to expand on the decision. Column nine will be used by ECHA for additional remarks on the claim.</para>
			
			<para><emphasis role="bold">Disclaimer</emphasis></para>
			<para>Please note that the contents of this report is based on Biocidal Products Regulation Articles 67(3) and 67(4). Any confidentiality claims made outside of this context will not be taken into account.</para>

		</cover>
	</info>
	
	<chapter>	
		<title>Confidentiality requests</title>
		
		<!-- Dossier information -->
		<informaltable Frame="sides">
			<col width="50%" />
			<col width="50%" />
			<tbody>						
				<tr><?dbfo bgcolor="#EEEEEE" ?>
					<td colspan="2">
						<emphasis role="bold">Report of confidentiality requests according to Article 67 of the Biocidal Products Regulation</emphasis>
					</td>
				</tr>
				<tr><?dbfo bgcolor="#EEEEEE" ?>
					<td>
						Dossier UUID
					</td>
					<td>
						MSCA
					</td>
				</tr>
				<tr><?dbfo bgcolor="#EEEEEE" ?>
					<td>
						<emphasis><@com.text mixture.documentKey.snapshotUuid/></emphasis>
					</td>
					<td>
						<emphasis>XXXXX</emphasis>
					</td>
				</tr>
				<tr><?dbfo bgcolor="#EEEEEE" ?>
					<td>
						R4BP3 case number
					</td>
					<td>
						Application type
					</td>
				</tr>
				<tr><?dbfo bgcolor="#EEEEEE" ?>
					<td>
						<emphasis>XXXXX</emphasis>
					</td>
					<td>
						<emphasis>XXXXX</emphasis>
					</td>
				</tr>
				<tr><?dbfo bgcolor="#EEEEEE" ?>
					<td>
						As of this date
					</td>
					<td>
						Expected Dissemination Date
					</td>
				</tr>
				<tr><?dbfo bgcolor="#EEEEEE" ?>
					<td>
						<emphasis>Day/Month/Year</emphasis>
					</td>
					<td>
						<emphasis>Day/Month/Year</emphasis>
					</td>
				</tr>				
				<tr><?dbfo bgcolor="#EEEEEE" ?>
					<td colspan="2">
					</td>
				</tr>
			</tbody>
		</informaltable>
		
		
		<!-- Confidentiality requests table -->
		<emphasis role="landscape">
		<table border="1">
			<title>Confidentiality requests</title>
			<col width="10%" />
			<col width="8%" />
			<col width="11.5%" />
			<col width="11.5%" />
			<col width="11.5%" />
			<col width="17.5%" />
			<col width="10%" />
			<col width="10%" />
			<col width="10%" />				
			<tbody>
				<tr>								
					<th><?dbfo bgcolor="#33B7FF" ?><emphasis role="bold">Section in IUCLID</emphasis></th>
					<th><?dbfo bgcolor="#33B7FF" ?><emphasis role="bold">Type</emphasis></th>
					<th><?dbfo bgcolor="#33B7FF" ?><emphasis role="bold">Item</emphasis></th>
					<th><?dbfo bgcolor="#33B7FF" ?><emphasis role="bold">Name</emphasis></th>
					<th><?dbfo bgcolor="#33B7FF" ?><emphasis role="bold">Section UUID</emphasis></th>
					<th><?dbfo bgcolor="#33B7FF" ?><emphasis role="bold">Justification</emphasis></th>
				
					<th><?dbfo bgcolor="#FFD17D" ?><emphasis role="bold">National Authority: Accept/Do Not Accept confidentiality claim</emphasis></th>
					<th><?dbfo bgcolor="#FFD17D" ?><emphasis role="bold">Is the decision based on dossier assessment or additional information, or both of these two sources</emphasis></th>
					<th><?dbfo bgcolor="#FFD17D" ?><emphasis role="bold">ECHA's assessment remarks</emphasis></th>
				</tr>
				
				<!-- Mixture/Product dataset specific confidentiality flags -->
				<#list productConfFlagIdentifierList as flagIdItem>				
					<#assign documentList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, flagIdItem.docType, flagIdItem.docSubType) />
					<#list documentList as document>						
						<@tableRowForConfidentialityFlag document flagIdItem />						
					</#list>
				</#list>
				
				<!-- Active Substance dataset specific confidentiality flags -->
				<#assign activeSubstanceList = getActiveSubstanceList(mixture) />
				
				<#list activeSubstanceList as substance>			

					<!-- Active Substance dataset confidentiality flags -->
					<#list substanceConfFlagIdentifierList as flagItemId>
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, flagItemId.docType, flagItemId.docSubType) />
							<#list documentList as document>
								<@tableRowForConfidentialityFlag document flagItemId "Active Substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid/>
							</#list>
					</#list>
						
					<!-- Active Substance section 1.3 specific confidentiality flag if AS is SDS hazardous -->	
					<#if isHazardCategory(substance)>
					
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "Suppliers") />
						<#list documentList as document>														
							<@tableRowForConfidentialityFlag document substanceActiveSubstanceIdentifierFlagId "Active Substance" />											
						</#list>
					</#if>
					
					<!-- Active Substance specific confidentiality flags for Subsance_section and SubstanceComposition -->					
					<#assign document = substance />					
						<#if document?has_content>
							<#list document.OtherNames as otherIdentifierItem>
								<#if otherIdentifierItem?has_content>
								<#if document.documentType=="MIXTURE">
										<@tableRowForConfidentialityFlag otherIdentifierItem mixtureOtherIdentifierFlagId "Active Substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid/>
									<#else>
										<@tableRowForConfidentialityFlag otherIdentifierItem substanceOtherIdentifierFlagId "Active Substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid/>
								</#if>
								</#if>
							</#list>
						</#if>		
					
					<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "SubstanceComposition") />					
					<#list documentList as document>
						<#if isAdditivesImpuritiesPopulated(document)>
						
							<#if isRelevantForClassification(document)>
								<@tableRowForConfidentialityFlag document substanceCompositionDegreeOfPurityConfFlagId "Active Substance" />
							</#if>
							
							<#list document.Impurities.Impurities as impurityItem>
							<#assign cb = impurityItem.RelevantForClassificationLabeling />
								<#if cb>
								<@tableRowForConfidentialityFlag impurityItem substanceCompositionImpuritiesConfFlagId "Active Substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid/>
								</#if>
							</#list>
							
							<#list document.Additives.Additives as additiveItem>
							<#assign cb = additiveItem.RelevantForClassificationLabeling />
								<#if cb>
								<@tableRowForConfidentialityFlag additiveItem substanceCompositionAdditivesConfFlagId "Active Substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid/>
								</#if>
							</#list>						
						</#if>
					</#list>								
				</#list>	


				<!-- Other Substance dataset specific confidentiality flags -->					
				<#assign otherSubstanceList = getOtherSubstanceList(mixture) />
				
				<#list otherSubstanceList as substance>
				
					<!-- Other Substance confidentiality flags -->
					
					<#list substanceConfFlagIdentifierList as flagItemId>				
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, flagItemId.docType, flagItemId.docSubType) />
						<#list documentList as document>	
							<#if document?has_content>
							<@tableRowForConfidentialityFlag document flagItemId "Other Substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid/>	
							</#if>
						</#list>
					</#list>
						
					<!-- Other Substance specific confidentiality flags -->					
					<#assign document = substance />					
						<#if document?has_content>
							<#list document.OtherNames as otherIdentifierItem>
								<#if otherIdentifierItem?has_content>
									<#if document.documentType=="MIXTURE">
										<@tableRowForConfidentialityFlag otherIdentifierItem mixtureOtherIdentifierFlagId "Other Substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid/>
									<#else>
										<@tableRowForConfidentialityFlag otherIdentifierItem substanceOtherIdentifierFlagId "Other Substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid/>
									</#if>
								</#if>
							</#list>
						</#if>
														
					<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "SubstanceComposition") />
					<#list documentList as document>
						<#if isAdditivesImpuritiesPopulated(document)>					
							<#if isRelevantForClassification(document)>
							<@tableRowForConfidentialityFlag document substanceCompositionDegreeOfPurityConfFlagId "Other Substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid/>
							</#if>
							
							<#list document.Impurities.Impurities as impurityItem>
							<#assign cb = impurityItem.RelevantForClassificationLabeling />
								<#if cb>
									<@tableRowForConfidentialityFlag impurityItem substanceCompositionImpuritiesConfFlagId "Other Substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid/>
								</#if>
							</#list>
							
							<#list document.Additives.Additives as additiveItem>
							<#assign cb = additiveItem.RelevantForClassificationLabeling />
								<#if cb>
									<@tableRowForConfidentialityFlag additiveItem substanceCompositionAdditivesConfFlagId "Other Substance" document.name document.documentKey.uuid document.documentKey.snapshotUuid/>
								</#if>
							</#list>
						</#if>
					</#list>
					
					<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "Suppliers") />
					<#list documentList as document>
						<@tableRowForConfidentialityFlag document substanceActiveSubstanceIdentifierFlagId "Other Substance" />										
					</#list>
					
				</#list>
				
			</tbody>
		</table>
	</emphasis>		
		
		<@com.emptyLine/>
		
		<!-- EMSCA conclusion -->
		<informaltable Frame="all">
			<col width="15%" />
			<col width="85%" />
			<tbody>
				<tr>
					<td><?dbfo bgcolor="#A9A9A9" ?>
						<para><emphasis role="bold">MSCA assessment conclusion</emphasis></para>
					</td>
					<td>
						<para><emphasis>MSCA conclusion on assessment outcome</emphasis></para>
					</td>
				</tr>							
			</tbody>
		</informaltable>
				
	<@com.emptyLine/>
	
		<!-- ECHA's comment -->
		<informaltable Frame="all">
			<col width="15%" />
			<col width="85%" />
			<tbody>
				<tr>
					<td><?dbfo bgcolor="#A9A9A9" ?>
						<para><emphasis role="bold">ECHA's comments</emphasis></para>
					</td>
					<td>
						<para><emphasis>ECHA assessment comments</emphasis></para>
					</td>
				</tr>							
			</tbody>
		</informaltable>
	
		
		
	</chapter>
		
</book>


<!-- Macros and functions -->
<#macro tableRowForConfidentialityFlag document flagIdentifier typeText="Product" documentName="" documentUUID="" documentSnapShotUUID="">
<#compress>
		
		<#if document?has_content && flagIdentifier?has_content>
	
		<#if isDataProtectionAvailable(document, flagIdentifier)>		
					
			<tr><?dbfo bgcolor="#97DAFF" ?>
				<!-- Section in IUCLID -->
				<td>
					<@com.text flagIdentifier.sectionNr />							
				</td>
				<!-- Type -->
				<td>
					<@com.text typeText />
				</td>
				<!-- Item -->
				<td>
					<@com.text flagIdentifier.sectionName />
				</td>
				<!-- Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text document.name />
					</#if>
				</td>
				<!-- Section UUID -->
				<td>					
					<#if documentUUID?has_content>
						<@com.text documentUUID />
						<para><citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}&amp;snapshot=${documentSnapShotUUID}">
						</ulink></citetitle></para>
					<#elseif !(documentUUID?has_content) />
						<@com.text document.documentKey.uuid />
						<para><citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${document.documentKey.uuid}&amp;snapshot=${document.documentKey.snapshotUuid}">
						</ulink></citetitle></para>
					</#if>
				</td>
				<!-- Justification -->
				<td>
					<#if flagIdentifier?has_content>
					<#local confidentialityFlagPath = "document." + flagIdentifier.confFlagPath + ".confidentiality" />
					<#local confidentialityFlag = confidentialityFlagPath?eval />
					<#if !(confidentialityFlag)?has_content>
						<emphasis role="bold"><para>Note that no confidentiality claim has been made using the following three reasons: "Confidential business information", "intellectual property", "not publicly available"</para></emphasis>
						<@com.emptyLine/>
					</#if>
					</#if>
					
					<#if flagIdentifier?has_content>					
					<#local justificationPath = "document." + flagIdentifier.confFlagPath + ".justification" />
					<#local justification = justificationPath?eval />
					<#if justification?has_content>
						<@com.text justification />
						<@com.emptyLine/>
						<#else/>
							<emphasis role="bold">No Justification Provided</emphasis>
							<@com.emptyLine/>
					</#if>
					</#if>
					
					<#if flagIdentifier?has_content>		
					<#local regulatoryPath = "document." + flagIdentifier.confFlagPath + ".legislations" />
					<#local regulation = regulatoryPath?eval />
					<#if regulation?has_content>
						<para>Regulatory programme(s) which the claim is restricted to:</para>
						<@com.picklistMultiple regulation />
						<#else/>
							<emphasis role="bold">The claim is not restricted to any Regulatory programme</emphasis>							
					</#if>
					</#if>
				</td>
				<!-- Accept/Do Not Accept confidentiality claim -->
				<td><?dbfo bgcolor="#FFFFFF" ?>
					
				</td>
				<!-- Decision based on dossier assessment or additional information, or both of these two sources -->
				<td><?dbfo bgcolor="#FFFFFF" ?>
					
				</td>
				<!-- ECHA's assessment remarks -->
				<td><?dbfo bgcolor="#FFFFFF" ?>
					
				</td>
			</tr>
		</#if>
		</#if>
</#compress>
</#macro>


<#function getActiveSubstanceList mixture>
	<#local substanceList = []/>

	<#local compositionList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "MixtureComposition") />
	
	<#list compositionList as composition>
		<#local componentList = composition.Components.Components/>
	
		<#list componentList as component>
			<#if isComponentActiveSubstance(component)>
				<#local substance = iuclid.getDocumentForKey(component.Reference)/>
				<#if substance?has_content && substance.documentType=="SUBSTANCE" || substance.documentType=="MIXTURE">
					<#local substanceList = com.addDocumentToSequenceAsUnique(substance, substanceList)/>
				</#if>
			</#if>			
		</#list>
	</#list>
	
	<#return substanceList />
</#function>

<#function isComponentActiveSubstance component>
	<#return component.Function?has_content && com.picklistValueMatchesPhrases(component.Function, ["active substance"]) />
</#function>

<#function getOtherSubstanceList mixture>
	<#local substanceList = []/>

	<#local compositionList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "MixtureComposition") />
	
	<#list compositionList as composition>
		<#local componentList = composition.Components.Components/>
	
		<#list componentList as component>
			<#if isComponentOtherSubstance(component)>
				<#local substance = iuclid.getDocumentForKey(component.Reference)/>
				<#if substance?has_content && substance.documentType=="SUBSTANCE" || substance.documentType=="MIXTURE">
					<#local substanceList = com.addDocumentToSequenceAsUnique(substance, substanceList)/>
				</#if>
			</#if>			
		</#list>
	</#list>
	
	<#return substanceList />
</#function>

<#function isComponentOtherSubstance component>
	<#return component.Function?has_content && com.picklistValueMatchesPhrases(component.Function, ["absorbent", "adsorbent", "anticaking agent", "anticoagulant", "booster", "buffer", "coagulant", "coating agent", "colourant", "complexing agent", "conditioner", "controlled release agent", "crystal growth regulator", "dehydrating agent", "denaturant", "drying agent", "dye", "emulsifier", "filler", "flow aid agent", "fragrance", "hardener", "lubricant",
	 "moisturiser", "neutraliser", "odour masking agent", "pH adjuster", "pigment", "propellant", "solvent", "stabiliser", "stiffener", "UV absorber", "viscosity modifier", "water repellent", "wetting agent", "other:"]) />
</#function>

<#function isHazardCategory substance>
	<#local hazardCategory = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "Ghs") />	
	<#if !(hazardCategory?has_content)>
		<#return false>
	</#if>
	<#list hazardCategory as category>
			<#if category?has_content>
				<#if category.Classification.PhysicalHazards.Explosives.HazardCategory?has_content || 
				category.Classification.PhysicalHazards.FlammableAerosols.HazardCategory?has_content ||
				category.Classification.PhysicalHazards.OxidisingGases.HazardCategory?has_content ||
				category.Classification.PhysicalHazards.GasesPres.HazardCategory?has_content ||
				category.Classification.PhysicalHazards.FlammableLiquids.HazardCategory?has_content ||
				category.Classification.PhysicalHazards.FlammableSolids.HazardCategory?has_content ||
				category.Classification.PhysicalHazards.SelfReactiveSubstMixt.HazardCategory?has_content ||
				category.Classification.PhysicalHazards.PyrophoricLiquids.HazardCategory?has_content ||
				category.Classification.PhysicalHazards.PyrophoricSolids.HazardCategory?has_content ||
				category.Classification.PhysicalHazards.SelfHeatSubstMixt.HazardCategory?has_content ||
				category.Classification.PhysicalHazards.SubstMixtWater.HazardCategory?has_content ||
				category.Classification.PhysicalHazards.OxidisingLiquids.HazardCategory?has_content ||
				category.Classification.PhysicalHazards.OxidisingSolids.HazardCategory?has_content ||
				category.Classification.PhysicalHazards.OrganicPeroxides.HazardCategory?has_content ||
				category.Classification.PhysicalHazards.CorMetals.HazardCategory?has_content ||
				category.Classification.PhysicalHazards.DesensitizedExplosives.HazardCategory?has_content ||
				category.Classification.HealthHazards.AcuteToxicityOral.HazardCategory?has_content ||
				category.Classification.HealthHazards.AcuteToxicityDermal.HazardCategory?has_content ||
				category.Classification.HealthHazards.AcuteToxicityInhalation.HazardCategory?has_content ||
				category.Classification.HealthHazards.Irritation.HazardCategory?has_content ||
				category.Classification.HealthHazards.EyeIrritation.HazardCategory?has_content ||
				category.Classification.HealthHazards.RespiratorySensitisation.HazardCategory?has_content ||
				category.Classification.HealthHazards.SkinSensitisation.HazardCategory?has_content ||
				category.Classification.HealthHazards.AspirationHazard.HazardCategory?has_content ||
				category.Classification.HealthHazards.ReproductiveToxicity.ReproductiveToxicity.HazardCategory?has_content ||
				category.Classification.HealthHazards.GermCell.GermCell.HazardCategory?has_content ||
				category.Classification.HealthHazards.Carcinogenicity.Carcinogenicity.HazardCategory?has_content ||
				category.Classification.EnvironmentalHazards.AquaticEnvironment.AcuteShortTerm.HazardCategory?has_content ||
				category.Classification.EnvironmentalHazards.AquaticEnvironment.LongTerm.HazardCategory?has_content ||
				category.Classification.EnvironmentalHazards.OzoneLayer.HazardousOzone.HazardCategory?has_content ||
				category.Classification.HealthHazards.ToxicitySingle.Toxicity?has_content ||
				category.Classification.HealthHazards.ToxicityRepeated.Toxicity?has_content>
						
				<#return true>
					
				</#if>
			</#if>
	</#list>
	<#return false>
</#function>

<#function isRelevantForClassification document>
	<#local additives = document.Additives.Additives />
	<#list additives as additivesList>
		<#if additivesList?has_content>
			<#local cb = additivesList.RelevantForClassificationLabeling />
			<#if cb>
				<#return true />
			</#if>
		</#if>
	</#list>
	
	<#local impurities = document.Impurities.Impurities />
	<#list impurities as impuritiesList>
		<#if impuritiesList?has_content>
			<#local cb = impuritiesList.RelevantForClassificationLabeling />
			<#if cb>
				<#return true />
			</#if>
		</#if>
	</#list>
	
		<#return false>
</#function>

<#function isRelevantForClassification document>
	<#local additives = document.Additives.Additives />
	<#list additives as additivesList>
		<#if additivesList?has_content>
			<#local cb = additivesList.RelevantForClassificationLabeling />
			<#if cb>
				<#return true />
			</#if>
		</#if>
	</#list>
	
	<#local impurities = document.Impurities.Impurities />
	<#list impurities as impuritiesList>
		<#if impuritiesList?has_content>
			<#local cb = impuritiesList.RelevantForClassificationLabeling />
			<#if cb>
				<#return true />
			</#if>
		</#if>
	</#list>
	
		<#return false>
</#function>

<#function isAdditivesImpuritiesPopulated document>
	<#local additives = document.Additives.Additives />
	<#if additives?has_content>
		<#return true />
	</#if>
	
	<#local impurities = document.Impurities.Impurities />
	<#if impurities?has_content>
		<#return true />
	</#if>
	
		<#return false>
</#function>

<#function isDataProtectionAvailable document flagIdentifier>
		<#assign confidentialityFlagPath = "document." + flagIdentifier.confFlagPath + ".confidentiality" />
		<#local confidentiality = confidentialityFlagPath?eval />
		
		<#assign justificationPath = "document." + flagIdentifier.confFlagPath + ".justification" />
		<#local justification = justificationPath?eval />
		
		<#assign regulatoryPath = "document." + flagIdentifier.confFlagPath + ".legislations" />
		<#local regulatory = regulatoryPath?eval />
		
		<#if confidentiality?has_content || justification?has_content || regulatory?has_content>
		<#return true />
		<#else/>
		<#return false />
		</#if>
</#function>