﻿<?xml version="1.0" encoding="UTF-8"?>

<#-- Attachments list main template file -->

<#-- Include utilities for the list of confidentiality flag identifiers -->
<#include "attachments_substances_core_utilities.ftl" />

<#-- Import common macros and functions -->
<#import "macros_common.ftl" as com>

<!-- Attachments (substance) template file -->
<#assign locale = "en" />
<book version="5.0" xmlns="http://docbook.org/ns/docbook" xmlns:xi="http://www.w3.org/2001/XInclude">

	<#assign substance = rootDocument />
	<#assign mixture = rootDocument />
	
    <info>
        <title>Attachments Report</title>
		<cover>
            <para>
				<para><@com.emptyLine/></para>
				<para><emphasis role="bold">A list of attachments for a single dataset or dossier</emphasis></para>
							
			</para>
        </cover>
    </info>
	
	
	<chapter>
	
		<section>
			<title>Substance name and attached structural formula</title>
			
			<para>
				<para><@com.emptyLine/></para>
				<para><emphasis role="bold">Substance name: </emphasis><@com.text substance.ChemicalName/></para>
				<para><@com.emptyLine/></para>				
			
			<!-- Reference substance image attachment -->		
			<#assign substanceId = substance />
				<#if substanceId?has_content>
					<#assign refSubstance = iuclid.getDocumentForKey(substanceId.ReferenceSubstance.ReferenceSubstance)/>
					
					<#if refSubstance?has_content>					
						
							<#if refSubstance.MolecularStructuralInfo.Remarks?has_content>
								<para><emphasis role="bold">Remarks for structural image: </emphasis><@com.text refSubstance.MolecularStructuralInfo.Remarks/></para>
								<#else/>
									<emphasis>No remarks provided for structural formula</emphasis>
							</#if>
							
							<para><@com.emptyLine/></para>
							
							<#if refSubstance.MolecularStructuralInfo.StructuralFormula?has_content>
								<para><@attachmentMediaType refSubstance.MolecularStructuralInfo.StructuralFormula /></para>	
							</#if>
							
							<para>
							<#assign attachmentKey = refSubstance.MolecularStructuralInfo.StructuralFormula />
								<#if attachmentKey?has_content>
									<#assign structuralFormula = iuclid.getMetadataForAttachment(attachmentKey) />
									<#if structuralFormula?has_content && structuralFormula.isImage>
										<para><emphasis role="bold"></emphasis></para>
										<#if structuralFormula.exceedsLimit(10000000)>
											<para><emphasis role="bold">Image size is too big (${structuralFormula.size} bytes) and cannot be displayed!</emphasis></para>
										<#elseif !iuclid.imageMimeTypeSupported(structuralFormula.mediaType) />
											<para><emphasis role="bold">Image type (${structuralFormula.mediaType}) is not yet supported!</emphasis></para>
										<#else/>
											<figure>
											<title></title>
												<mediaobject>
													<imageobject>
														<imagedata width="100%" scalefit="1" fileref="data:${structuralFormula.mediaType};base64,${iuclid.getContentForAttachment(attachmentKey)}" />
													</imageobject>
												</mediaobject>										
											</figure>
										</#if>
									</#if>
									<#else/>
										<emphasis>No structural formula image attached to the Reference Substance via section 1.1 (Identification)</emphasis>
								</#if>
							</para>
							
						<#else/>
						<emphasis>No reference substance attached to section 1.1 (Identification)</emphasis>
					</#if>
				</#if>
			</para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
			<para><@com.emptyLine/></para>
		</section>
		
		<section>
			<title>Attachment tables</title>
			
			<!-- Attachment list for Information Panel -->
			<table border="1" orient="land">
				<title>Attachments in the information panel for all IUCLID sections</title>
				<col width="12%" />
				<col width="14%" />
				<col width="12%" />
				<col width="15%" />
				<col width="20%" />
				<col width="17%" />
				<col width="9%" />						
				<tbody>
					<tr>								
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section in IUCLID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Record/Summary Name</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section UUID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Names of attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Remarks for attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Type of attachment</emphasis></th>						
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Size</emphasis></th>										
					</tr>
			
					<title role="HEAD-1">List of Attachments in the Information Panel for all IUCLID sections</title>								
					<!-- information panel attachment for section 1.1 -->					
					<#assign document = substance />					
						<#if document?has_content>		
							<@tableRowForInformationPanelSubstance document document.name document.documentKey.uuid />
						</#if>
					
					<!-- information panel attachment for all other sections in section order -->	
					<#list informationPanelList as attachmentIdentifier>
					
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
						<#list documentList as document>	
							<@tableRowForInformationPanel document attachmentIdentifier document.name document.documentKey.uuid />							
						</#list>
					</#list>
										
				</tbody>
			</table>
			
			<!-- Attachment list for Endpoint study records and summaries -->
			<table border="1" orient="land">
				<title>Attachments for Endpoint study records</title>
				<col width="12%" />
				<col width="14%" />
				<col width="12%" />
				<col width="15%" />
				<col width="20%" />
				<col width="17%" />
				<col width="9%" />						
				<tbody>
					<tr>								
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section in IUCLID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Record/Summary Name</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section UUID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Names of attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Remarks for attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Type of attachment</emphasis></th>						
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Size</emphasis></th>										
					</tr>
			
					<title role="HEAD-1">List of Attachments in Endpoint Study Records (sorted by IUCLID field and section number)</title>
					
					<!-- ESR Attached justifications -->					
					<#list justificationAttachmentList as attachmentIdentifier>
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
						
						<#list documentList as document>
							<#list document.AdministrativeData.AttachedJustification as attachedJustificationItem>
								<#if attachedJustificationItem?has_content>
								<@tableRowForAttachedJustification attachedJustificationItem attachmentIdentifier document.name document.documentKey.uuid />						
								</#if>
							</#list>									
						</#list>
					</#list>
					
					<!-- ESR Background material justifications -->
					<#list substanceBackgroundMaterialList as attachmentIdentifier>
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
						
						<#list documentList as document>
							<#list document.OverallRemarksAttachments.AttachedBackgroundMaterial as attachedBackgroundJustificationItem>
								<#if attachedBackgroundJustificationItem?has_content>
								<@tableRowForBackgroundMaterial attachedBackgroundJustificationItem attachmentIdentifier document.name document.documentKey.uuid />						
								</#if>
							</#list>									
						</#list>
					</#list>
					
					<!-- ESR Attached full study report -->
					<#list substanceStudyReportAttachmentsList as attachmentIdentifier>
					
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
							<#list documentList as document>			
								<#if document?has_content>
								<@tableRowForAttachedStudy document attachmentIdentifier />		
								</#if>
							</#list>
					</#list>
					
					<!-- ESR images -->
					<#list substanceImageList as attachmentIdentifier>
					
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
						<#list documentList as document>							
							<#if document?has_content>
								<@tableRowForImages document attachmentIdentifier />
							</#if>
						</#list>
					</#list>
					
				</tbody>
			</table>
			
			<!-- Attachment list for Composition attachments -->
			<table border="1" orient="land">
				<title>Attachments in Composition (1.2)</title>
				<col width="15%" />
				<col width="11%" />
				<col width="12%" />
				<col width="15%" />
				<col width="20%" />
				<col width="17%" />
				<col width="9%" />						
				<tbody>
					<tr>								
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section in IUCLID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Record/Summary Name</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section UUID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Names of attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Remarks for attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Additional remarks for attachment</emphasis></th>						
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Size</emphasis></th>										
					</tr>
			
					<title role="HEAD-1">List of Attachments from Composition (1.2)</title>							
					
					<!-- Composition -->
					<#list compositionList as attachmentIdentifier>
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
						
						<#list documentList as document>
							<#list document.GeneralInformation.AttachedDescription as attachmentComponentItem>
							
								<@tableRowForCompositionAttachment attachmentComponentItem attachmentIdentifier document.name document.documentKey.uuid />						
							</#list>									
						</#list>
					</#list>
					
					<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "SubstanceComposition") />
					<#list documentList as document>
						<#if document?has_content>
						<#list document.CharacterisationOfNanomaterials.SurfaceTreatment.repeatableSet8912 as attachmentComponentItem>
							<#if attachmentComponentItem?has_content>
							<#list attachmentComponentItem.SupportingInformation as attachmentComponentItem>
							<@tableRowForNanoCompositionAttachment document attachmentComponentItem "Surface treatment of nano materials, Section 1.2" document.name document.documentKey.uuid />
							</#list>
							</#if>
						</#list>
						</#if>
					</#list>
					
					<#assign substanceComposition = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "SubstanceComposition") />
						<#if substanceComposition?has_content>
						<#list substanceComposition as substanceComposition>
							<#assign refSubstance = substanceComposition.Constituents.Constituents />
							<#if refSubstance?has_content>
								<#list refSubstance as item>
								<#assign reference = iuclid.getDocumentForKey(item.ReferenceSubstance)/>
								<#if reference?has_content>
									<@tableRowForReferenceSubstanceInComposition reference substanceComposition "Linked reference substance from Composition record (Constituents) 1.2" substanceComposition.name substanceComposition.documentKey.uuid />								
								</#if>
								</#list>
							</#if>
						</#list>
						</#if>
						
					<#assign substanceComposition = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "SubstanceComposition") />
						<#if substanceComposition?has_content>
						<#list substanceComposition as substanceComposition>
							<#assign refSubstance = substanceComposition.Impurities.Impurities />
							<#if refSubstance?has_content>
								<#list refSubstance as item>
								<#assign reference = iuclid.getDocumentForKey(item.ReferenceSubstance)/>
								<#if reference?has_content>
									<@tableRowForReferenceSubstanceInComposition reference substanceComposition "Linked reference substance from Composition record (Impurities) 1.2" substanceComposition.name substanceComposition.documentKey.uuid />								
								</#if>
								</#list>
							</#if>
						</#list>
						</#if>
						
					<#assign substanceComposition = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "SubstanceComposition") />
						<#if substanceComposition?has_content>
						<#list substanceComposition as substanceComposition>
							<#assign refSubstance = substanceComposition.Additives.Additives />
							<#if refSubstance?has_content>
								<#list refSubstance as item>
								<#assign reference = iuclid.getDocumentForKey(item.ReferenceSubstance)/>
								<#if reference?has_content>
									<@tableRowForReferenceSubstanceInComposition reference substanceComposition "Linked reference substance from Composition record (Additives) 1.2" substanceComposition.name substanceComposition.documentKey.uuid />								
								</#if>
								</#list>
							</#if>
						</#list>
						</#if>
					
					<#assign substanceComposition = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "SubstanceComposition") />
						<#if substanceComposition?has_content>
						<#list substanceComposition as substanceComposition>
							<#assign refSubstance = substanceComposition.CharacterisationOfNanomaterials.SurfaceTreatment.repeatableSet8912 />
							<#if refSubstance?has_content>
								<#list refSubstance as item>
								<#if item?has_content>
									<#list item.SurfaceTreatment as itemTwo>
										<#assign reference = iuclid.getDocumentForKey(itemTwo.SurfaceTreatmentAgent)/>
										<#if reference?has_content>
											<@tableRowForReferenceSubstanceInComposition reference substanceComposition "Linked reference substance from Composition record (Nanomaterials Surface Treatment) 1.2" substanceComposition.name substanceComposition.documentKey.uuid />
										</#if>
									</#list>
								</#if>
								</#list>
							</#if>
						</#list>
						</#if>
						
				</tbody>
			</table>
			
			<!-- Analytical information -->
			<table border="1" orient="land">
				<title>Analytical information</title>
				<col width="11%" />
				<col width="15%" />
				<col width="12%" />
				<col width="15%" />
				<col width="20%" />
				<col width="17%" />
				<col width="9%" />						
				<tbody>
					<tr>								
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section in IUCLID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Record/Summary Name</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section UUID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Names of attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Image</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Type of attachment</emphasis></th>						
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Size</emphasis></th>										
					</tr>
			
					<title role="HEAD-1">List of Attachments for Analytical Information</title>					
					
					<!-- Analytical information -->					
					<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "AnalyticalInformation") />
					<#list documentList as document>
						<#if document?has_content>
						<#assign attachmentComponentItem = document.AnalyticalInformation.MethodsAndResultsOfAnalysis />
							<#if attachmentComponentItem?has_content>
							<#list attachmentComponentItem.AnalyticalDetermination as attachmentComponentItem>
							<@tableRowForAnalyticalInformation document attachmentComponentItem "1.4" document.name document.documentKey.uuid />
							</#list>
							</#if>
						</#if>
					</#list>
					
				</tbody>
			</table>	
			
			<!-- Suppliers -->
			<table border="1" orient="land">
				<title>Suppliers</title>
				<col width="11%" />
				<col width="15%" />
				<col width="12%" />
				<col width="15%" />
				<col width="20%" />
				<col width="17%" />
				<col width="9%" />						
				<tbody>
					<tr>								
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section in IUCLID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Record/Summary Name</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section UUID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Names of attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Image</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Type of attachment</emphasis></th>						
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Size</emphasis></th>										
					</tr>
			
					<title role="HEAD-1">List of Attachments for Suppliers</title>					
					
					<!-- Suppliers -->					
					<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "Suppliers") />
					<#list documentList as document>
						<#if document?has_content>
						<#assign attachmentComponentItem = document.OnlyRepresentationInfo.NonEUManufacturerAssignment />
							<#if attachmentComponentItem?has_content>							
							<@tableRowForSuppliersInformation document attachmentComponentItem "1.7" document.name document.documentKey.uuid />							
							</#if>
						</#if>
					</#list>
					
					<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "Suppliers") />
					<#list documentList as document>
						<#if document?has_content>
						<#assign attachmentComponentPathItem = document.OnlyRepresentationInfo />
							<#list attachmentComponentPathItem.ImporterEntries as attachmentComponentItem>		
							<#if attachmentComponentItem?has_content> 
							<@tableRowForOtherSuppliersInformation document attachmentComponentItem "1.7" document.name document.documentKey.uuid />
							</#if>
							</#list>
						</#if>
					</#list>
					
				</tbody>
			</table>
				
			<!-- product process orientation -->
			<table border="1" orient="land">
				<title>Product and process orientated research and development</title>
				<col width="11%" />
				<col width="15%" />
				<col width="12%" />
				<col width="15%" />
				<col width="20%" />
				<col width="17%" />
				<col width="9%" />						
				<tbody>
					<tr>								
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section in IUCLID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Record/Summary Name</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section UUID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Names of attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Image</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Type of attachment</emphasis></th>						
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Size</emphasis></th>										
					</tr>
			
					<title role="HEAD-1">List of Attachments for Product and process orientated research and development</title>					
					
					<!-- product process orientation -->
					<#list productProcessOrientationList as attachmentIdentifier>
					
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
						<#list documentList as document>
							<#if document?has_content>
							<@tableRowForAssessmentReports document attachmentIdentifier />	
							</#if>
						</#list>
					</#list>
					
				</tbody>
			</table>
			
			
			<!-- Attachment list for PBT Assessment -->
			<table border="1" orient="land">
				<title>PBT Assessment</title>
				<col width="11%" />
				<col width="15%" />
				<col width="12%" />
				<col width="15%" />
				<col width="20%" />
				<col width="17%" />
				<col width="9%" />						
				<tbody>
					<tr>								
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section in IUCLID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Record/Summary Name</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section UUID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Names of attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Remarks for attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Additional remarks</emphasis></th>						
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Size</emphasis></th>										
					</tr>
			
					<title role="HEAD-1">Attachments for PBT Assessment Summary</title>			
					<!-- PBT Assessment Summaries -->					
					<#list pbtAssessmentSummary as attachmentIdentifier>
					
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
						<#list documentList as document>							
							<@tableRowForPbtAssessment document attachmentIdentifier />							
						</#list>
					</#list>					
					
					<#assign substanceComposition = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "PbtAssessment") />
						<#if substanceComposition?has_content>
						<#list substanceComposition as substanceComposition>
							<#assign pbtReferencePath = substanceComposition.AssessedSubstance />
							<#assign reference = iuclid.getDocumentForKey(pbtReferencePath.ReferenceSubstance)/>
							<#if reference?has_content>
								<@tableRowForReferenceSubstanceInComposition reference substanceComposition "2.3" substanceComposition.name substanceComposition.documentKey.uuid />								
							</#if>
						</#list>
						</#if>
					
				</tbody>
			</table>
			
						
			<!-- Attachment list for section 3 -->
			<table border="1" orient="land">
				<title>Attachments' for use and exposure</title>
				<col width="11%" />
				<col width="15%" />
				<col width="12%" />
				<col width="15%" />
				<col width="20%" />
				<col width="17%" />
				<col width="9%" />						
				<tbody>
					<tr>								
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section in IUCLID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Record/Summary Name</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section UUID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Names of attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Remarks for attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Type of attachment</emphasis></th>						
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Size</emphasis></th>										
					</tr>
			
					<title role="HEAD-1">List of Attachments for Use and Exposure information</title>
									
					<!-- section 3 attachments -->
					<#list minimisingEmissionsList as attachmentIdentifier>
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
						
						<#list documentList as document>
						<#if document?has_content>
							<#list document.ContribScenEnvirWorker.ContribScenEnvirWorkerRep as attachmentComponentItem>
								<#if attachmentComponentItem?has_content>
								<@tableRowForUsesEmissions attachmentComponentItem attachmentIdentifier document.name document.documentKey.uuid />
								</#if>
							</#list>
						</#if>
						</#list>
					</#list>
					
					<#list predictedExposureToEnvirList as attachmentIdentifier>
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
						
						<#list documentList as document>
						<#if document?has_content>
							<#list document.ContribScenEnvirWorker.ContribScenEnvirWorkerRep as attachmentComponentItem>
								<#if attachmentComponentItem?has_content>
								<@tableRowForEnvir attachmentComponentItem attachmentIdentifier document.name document.documentKey.uuid />
								</#if>
							</#list>
						</#if>
						</#list>
					</#list>
					
					<#list containmentAndControlAttachmentList as attachmentIdentifier>
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
						
						<#list documentList as document>
						<#if document?has_content>
							<#list document.ContribScenWorkers.ContribScenWorkersRep as attachmentComponentItem>
								<#if attachmentComponentItem?has_content>
								<@tableRowForControl attachmentComponentItem attachmentIdentifier document.name document.documentKey.uuid />
								</#if>
							</#list>
						</#if>
						</#list>
					</#list>
					
					<#list exposureEstimationWorkers as attachmentIdentifier>
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
						
						<#list documentList as document>
						<#if document?has_content>
							<#list document.ContribScenWorkers.ContribScenWorkersRep as attachmentComponentItem>
								<#if attachmentComponentItem?has_content>
								<@tableRowForWorkers attachmentComponentItem attachmentIdentifier document.name document.documentKey.uuid />
								</#if>
							</#list>
						</#if>
						</#list>
					</#list>
					
					<#list predictedExposureConcentrationConsumers as attachmentIdentifier>
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
						
						<#list documentList as document>
						<#if document?has_content>
							<#list document.ContribScenEnvirConsumer.ContribScenEnvirConsumerRep as attachmentComponentItem>
								<#if attachmentComponentItem?has_content>
								<@tableRowForConsumersExposureRisk attachmentComponentItem attachmentIdentifier document.name document.documentKey.uuid />
								</#if>
							</#list>
						</#if>
						</#list>
					</#list>
					
					<#list exposureEstimateConcentrationConsumers as attachmentIdentifier>
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
						
						<#list documentList as document>
						<#if document?has_content>
							<#list document.ContribScenConsumers.ContribScenConsumersRep as attachmentComponentItem>
								<#if attachmentComponentItem?has_content>
								<@tableRowForConsumersExposureEstimate attachmentComponentItem attachmentIdentifier document.name document.documentKey.uuid />
								</#if>
							</#list>
						</#if>
						</#list>
					</#list>
					
					<#list additionalInformationOnConditionsForStrictControl as attachmentIdentifier>
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />						
						<#list documentList as document>
							<#if document?has_content>						
								<@tableRowForUsesAtIndustrialSitesStrictControl document attachmentIdentifier document.name document.documentKey.uuid />		
							</#if>
						</#list>
					</#list>								
				
					<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "UseAtIndustrialSites") />
					<#list documentList as document>
						<#if document?has_content>									
						<#list document.UsesAtIndustrialSites.RelevantChemicalReactionsAndReactionProducts as attachmentComponentItem>
							<#if attachmentComponentItem?has_content>													
								<@tableRowForAdditionalInfoOnChemicalReaction attachmentComponentItem document "3.5.3" document.name document.documentKey.uuid />							
							</#if>
						</#list>
						</#if>
					</#list>				
					
				</tbody>
			</table>
			
			<!-- Applications for authorisation -->
			<table border="1" orient="land">
				<title>Application for Authorisation of uses</title>
				<col width="11%" />
				<col width="15%" />
				<col width="12%" />
				<col width="15%" />
				<col width="20%" />
				<col width="17%" />
				<col width="9%" />						
				<tbody>
					<tr>								
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section in IUCLID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Record/Summary Name</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section UUID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Names of attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Remarks for attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Type of attachment</emphasis></th>						
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Size</emphasis></th>										
					</tr>
			
					<title role="HEAD-1">List of Attachments in Authorisation of Uses</title>					
					
					<!-- Authorisation of uses -->
					<#list authorisationOfUses as attachmentIdentifier>
					
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
						<#list documentList as document>
							<#if document?has_content>
							<@tableRowForAssessmentReports document attachmentIdentifier />	
							</#if>
						</#list>
					</#list>
					
					<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "AuthorisationOfUses") />
					<#list documentList as document>
						<#if document?has_content>
						<#assign attachmentComponentItem = document.ReferenceToOtherApplications />
							<#if attachmentComponentItem?has_content>
							<#list attachmentComponentItem.ReferenceToOtherApplications as attachmentComponentItem>
							<@tableRowForAuthorisationUses document attachmentComponentItem "3.10" document.name document.documentKey.uuid />
							</#list>
							</#if>
						</#if>
					</#list>
					
				</tbody>
			</table>	
			
			<!-- Assessment reports -->
			<table border="1" orient="land">
				<title>Assessment reports</title>
				<col width="11%" />
				<col width="15%" />
				<col width="12%" />
				<col width="15%" />
				<col width="20%" />
				<col width="17%" />
				<col width="9%" />						
				<tbody>
					<tr>								
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section in IUCLID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Record/Summary Name</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section UUID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Names of attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Remarks for attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Type of attachment</emphasis></th>						
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Size</emphasis></th>										
					</tr>
			
					<title role="HEAD-1">List of Attachments in Assessment Reports</title>					
					
					<!-- Assessment reports -->
					<#list assessmentReportList as attachmentIdentifier>
					
						<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, attachmentIdentifier.docType, attachmentIdentifier.docSubType) />
						<#list documentList as document>
							<#if document?has_content>
							<@tableRowForAssessmentReports document attachmentIdentifier />	
							</#if>
						</#list>
					</#list>
					
				</tbody>
			</table>
				
			<!-- Annex III criteria -->
			<table border="1" orient="land">
				<title>Annex III criteria</title>
				<col width="11%" />
				<col width="15%" />
				<col width="12%" />
				<col width="15%" />
				<col width="20%" />
				<col width="17%" />
				<col width="9%" />						
				<tbody>
					<tr>								
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section in IUCLID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Record/Summary Name</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Section UUID</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Names of attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Remarks for attachment</emphasis></th>
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Additional remarks for attachment</emphasis></th>						
						<th><?dbfo bgcolor="#4169E1" ?><emphasis role="bold">Size</emphasis></th>										
					</tr>
			
					<title role="HEAD-1" orient="land">List of Attachments for Annex III Criteria</title>					
					
					<!-- Annex III criteria -->					
					<#assign documentList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FIXED_RECORD", "AnnexIIICriteria") />
					<#list documentList as document>
						<#if document?has_content>
						<#assign attachmentComponentPathItem = document.JustificationForNotMeetingAnnexIIICriteria.RationaleForDisregardingAnnexIIICriteria />
							<#list attachmentComponentPathItem.AttachedJustification as attachmentComponentItem>
								<#if attachmentComponentItem?has_content>							
								<@tableRowForNanoCompositionAttachment document attachmentComponentItem "14" document.name document.documentKey.uuid />							
								</#if>
							</#list>
						</#if>
					</#list>
					
				</tbody>
			</table>
			
		</section>						
	</chapter>

</book>

<!-- Macros and functions -->
<#macro tableRowForAttachedJustification attachedJustificationItem attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if attachedJustificationItem?has_content && attachmentIdentifier?has_content>
		
		<#local attachment = attachedJustificationItem.AttachedJustification />
		<#local attachmentRemarks =  attachedJustificationItem.ReasonPurpose />		
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td >
					<para><@com.text attachmentIdentifier.sectionNr /></para>
					<para><@com.emptyLine/></para>
					<para>Attached Justification in Administrative Data (Endpoint Study Record)</para>					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text document.name />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					<#else/>
						<@com.text document.documentKey.uuid />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td >					
					<@attachmentName attachment />
				</td>
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment??>
					<@remarksForAttachment attachment />
					<#else/>
					No remarks for this attachment are provided
					</#if>
				</td>				
				
				<!-- Reason/Purpose or additional remarks for attachment -->
				<td>
					<#if attachmentRemarks??>
					<@com.picklist attachmentRemarks />
					<#else/>
					No additional remarks for this attachment are provided
					</#if>
				</td>
				
				<!-- Size -->
				<td>
					<@attachmentSize attachment />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for reference substance attachments to composition -->
<#macro tableRowForReferenceSubstanceInComposition reference substanceComposition typeText="" documentName="" documentUUID="">
<#compress>
	<#if reference?has_content && substanceComposition?has_content>
		
		<#local attachment = reference />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section name in IUCLID -->
				<td>
					<@com.text typeText />	
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text substanceComposition.name />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>					
					<#if attachment.MolecularStructuralInfo.MolecularFormula?has_content>
						<para><emphasis role="bold">Name of Molecular formula for attached Structural Illustration: </emphasis><@com.text attachment.MolecularStructuralInfo.MolecularFormula /></para>
					</#if>
					
					<para><@com.emptyLine/></para>
					
					<#if attachment.attachments?has_content>
					<para><emphasis role="bold">Name of attachment(s) in the Information Panel of the linked Reference Substance: </emphasis><@attachmentNameForInfoPanel attachment /></para>
					</#if>
				</td>
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment.MolecularStructuralInfo.Remarks?has_content>
						<para><emphasis role="bold">Remarks for structural image: </emphasis><@com.text attachment.MolecularStructuralInfo.Remarks/></para>
						<#else/>
						<para><emphasis role="bold">No remarks for structural formula</emphasis></para>
					</#if>
					
					<#assign attachmentKey = attachment.MolecularStructuralInfo.StructuralFormula />
					<#if attachmentKey?has_content>
						<#assign structuralFormula = iuclid.getMetadataForAttachment(attachmentKey) />
						<#if structuralFormula?has_content && structuralFormula.isImage>
							<#if structuralFormula.exceedsLimit(100000)>
								<para><emphasis role="bold">Image size is too big (${structuralFormula.size} bytes) and cannot be displayed!</emphasis></para>
							<#elseif !iuclid.imageMimeTypeSupported(structuralFormula.mediaType) />
								<para><emphasis role="bold">Image type (${structuralFormula.mediaType}) is not yet supported!</emphasis></para>
							<#else/>
								<figure >
									<mediaobject>
										<imageobject>
											<imagedata width="65%" scalefit="1" fileref="data:${structuralFormula.mediaType};base64,${iuclid.getContentForAttachment(attachmentKey)}" />
										</imageobject>
									</mediaobject>
								</figure>
							</#if>
						</#if>
					</#if>
					
					<para><@com.emptyLine/></para>
					
					<#if attachment.attachments?has_content>
					<para><emphasis role="bold">Remarks for the attachment(s) in the Information Panel of the linked Reference Substance: </emphasis><@attachmentRemarksForInfoPanel attachment /></para>
					</#if>
				</td>
				<!-- Additional remarks-->
				<td>					
					No additional remarks are provided
				</td>		
	
				<!-- size / image -->
				<td>
					<para><emphasis role="bold">Media type and Size of Structural formula attachment: </emphasis><@attachmentMediaType attachment /><@attachmentSize attachment />
					</para>
					
					<para><@com.emptyLine/></para>
					
					<#if attachment.attachments?has_content>
					<para><emphasis role="bold">Media type and Size for the attachment(s) in the Information Panel of the linked Reference Substance: </emphasis><@attachmentMediaTypeForInfoPanel attachment /> <@attachmentSizesForInfoPanel attachment /></para>
					</#if>
				</td>				
			</tr>
			
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for attached descriptions in compostition -->
<#macro tableRowForCompositionAttachment attachmentComponentItem attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if attachmentComponentItem?has_content && attachmentIdentifier?has_content>
		
		<#local attachment = attachmentComponentItem.AttachedDocument />
		<#local attachmentRemarks =  attachmentComponentItem.Remarks />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section name in IUCLID -->
				<td>
					<para><@com.text attachmentIdentifier.sectionNr /></para>							
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text document.name />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					<#else/>
						<@com.text document.documentKey.uuid />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td >					
					<@attachmentName attachment />
				</td>
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>
					<@remarksForAttachment attachment />
					<#else/>
					No remarks for this attachment are provided
					</#if>
				</td>
				
				<!-- Additional remarks -->
				<td>
					<#if attachmentRemarks?has_content>
					<@com.text attachmentRemarks />
					<#else/>
					No additional remarks for this attachment are provided
					</#if>
				</td>				
				
				<!-- Size -->
				<td>
					<@attachmentSize attachment />
					<@attachmentMediaType attachment />
				</td>				
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for SUPPLIERS -->
<#macro tableRowForSuppliersInformation document attachmentComponentItem typeText="" documentName="" documentUUID="">
<#compress>
	<#if document?has_content && attachmentComponentItem?has_content>
		
		<#local attachment = attachmentComponentItem />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section name in IUCLID -->
				<td>
					<@com.text typeText />					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text document.name />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					<#else/>
						<@com.text document.documentKey.uuid />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>					
					<#if attachment?has_content>
					<@attachmentName attachment />
					</#if>
				</td>
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>
					<@remarksForAttachment attachment />
					<#else/>
					No remarks for this attachment are provided
					</#if>
				</td>
				
				<!-- Additional remarks -->
				<td>
					<para>No additional remarks are provided for this attachment</para>
				</td>				
				
				<!-- Size -->
				<td>
					<@attachmentSize attachment />
				</td>				
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>


<!-- table for suppliers (other importers) -->
<#macro tableRowForOtherSuppliersInformation document attachmentComponentItem typeText="" documentName="" documentUUID="">
<#compress>
	<#if document?has_content && attachmentComponentItem?has_content>
		
		<#local attachment = attachmentComponentItem.Agreement />
		<#local attachmentLegalEntity = attachmentComponentItem />		
			
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section name in IUCLID -->
				<td>
					<@com.text typeText />					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text document.name />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					<#else/>
						<@com.text document.documentKey.uuid />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>					
					<#if attachment?has_content>
					<@attachmentName attachment />
					</#if>
					
					<#if attachmentLegalEntity?has_content>	
						<#assign legalEntityItem = iuclid.getDocumentForKey(attachmentLegalEntity.LegalEntity)/>
						<#if legalEntityItem?has_content>
							<para><emphasis role="bold">Legal entity name of Other Importer: </emphasis></para><para><@com.text legalEntityItem.GeneralInfo.LegalEntityName /></para>
						</#if>
					</#if>
				</td>
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>
					<@remarksForAttachment attachment />
					<#else/>
					No remarks for this attachment are provided
					</#if>					
				</td>
				
				<!-- Additional remarks -->
				<td>
					<para>No additional remarks are provided for this attachment</para>
				</td>				
				
				<!-- Size -->
				<td>
					<@attachmentSize attachment />
				</td>				
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for analytical information -->
<#macro tableRowForAnalyticalInformation document attachmentComponentItem typeText="" documentName="" documentUUID="">
<#compress>
	<#if document?has_content && attachmentComponentItem?has_content>
		
		<#local attachment = attachmentComponentItem.AttachedMethodsResults />		
		<#local attachmentRemarks =  attachmentComponentItem.Remarks />
		<#local attachmentTypeOfInformation =  attachmentComponentItem.TypeOfInformationProvided />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section name in IUCLID -->
				<td>
					<@com.text typeText />					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text document.name />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					<#else/>
						<@com.text document.documentKey.uuid />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td >					
					<@attachmentName attachment />
					
					<#assign typeOfInformationPicklist = attachmentTypeOfInformation />
						<#if typeOfInformationPicklist?has_content>
							<para><emphasis role="bold">Type of information provided:</emphasis></para><para><@com.picklist typeOfInformationPicklist /></para>
						</#if>
				</td>
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>
					<@remarksForAttachment attachment />
					<#else/>
					No remarks for this attachment are provided
					</#if>
				</td>
				
				<!-- Additional remarks -->
				<td>
					<#if attachmentRemarks?has_content>
					<@com.text attachmentRemarks />
					<#else/>
					No additional remarks for this attachment are provided
					</#if>
				</td>				
				
				<!-- Size -->
				<td>
					<@attachmentSize attachment />
				</td>				
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for uses at industrial sites chemical reaction additional info -->
<#macro tableRowForAdditionalInfoOnChemicalReaction attachmentComponentItem document typeText="" documentName="" documentUUID="">
<#compress>
	<#if document?has_content && attachmentComponentItem?has_content>
		
		<#local attachment = attachmentComponentItem.AdditionalInformationOnChemicalReaction />		
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section name in IUCLID -->
				<td>
					<@com.text typeText />				
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text document.name />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					<#else/>
						<@com.text document.documentKey.uuid />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td >					
					<@attachmentName attachment />
				</td>
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>
					<@remarksForAttachment attachment />
					<#else/>
					No remarks for this attachment are provided
					</#if>
				</td>
				
				<!-- Additional remarks -->
				<td>
					No additional remarks for this attachment are provided					
				</td>				
				
				<!-- Size -->
				<td>
					<@attachmentSize attachment />
				</td>				
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for authorised uses -->
<#macro tableRowForAuthorisationUses document attachmentComponentItem typeText="" documentName="" documentUUID="">
<#compress>
	<#if document?has_content && attachmentComponentItem?has_content>
		
		<#local attachment = attachmentComponentItem.Document />		
		<#local attachmentRemarks =  attachmentComponentItem.Remarks />
		<#local attachmentWrittenPermission =  attachmentComponentItem.WrittenPermission />		
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section name in IUCLID -->
				<td>
					<@com.text typeText />					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text document.name />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					<#else/>
						<@com.text document.documentKey.uuid />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td >					
					<@attachmentName attachment />
					
					<#assign cb = attachmentWrittenPermission /> 
					<#if cb>
						<para><emphasis role="bold">Note: the 'Written permission' checkbox is selected</emphasis></para>
						<#else/>
							<para><emphasis role="bold">Note: the 'Written permission' checkbox is <emphasis>NOT</emphasis> selected</emphasis></para>
					</#if>
				</td>
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>
					<@remarksForAttachment attachment />
					<#else/>
					No remarks for this attachment are provided
					</#if>
				</td>
				
				<!-- Additional remarks -->
				<td>
					<#if attachmentRemarks?has_content>
					<@com.text attachmentRemarks />
					<#else/>
					No additional remarks for this attachment are provided
					</#if>
				</td>				
				
				<!-- Size -->
				<td>
					<@attachmentSize attachment />
				</td>				
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>


<!-- table for nano attachments in compostition -->
<#macro tableRowForNanoCompositionAttachment document attachmentComponentItem typeText="" documentName="" documentUUID="">
<#compress>
	<#if document?has_content && attachmentComponentItem?has_content>
		
		<#local attachment = attachmentComponentItem.AttachedDocument />
		<#local attachmentRemarks =  attachmentComponentItem.Remarks />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section name in IUCLID -->
				<td>
					<@com.text typeText />					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text document.name />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					<#else/>
						<@com.text document.documentKey.uuid />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td >					
					<@attachmentName attachment />
				</td>
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>
					<@remarksForAttachment attachment />
					<#else/>
					No remarks for this attachment are provided
					</#if>
				</td>
				
				<!-- Additional remarks -->
				<td>
					<#if attachmentRemarks?has_content>
					<@com.text attachmentRemarks />
					<#else/>
					No additional remarks for this attachment are provided
					</#if>
				</td>				
				
				<!-- Size -->
				<td>
					<@attachmentSize attachment />
				</td>				
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>


<!-- table for attached background material -->
<#macro tableRowForBackgroundMaterial attachedBackgroundJustificationItem attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if attachedBackgroundJustificationItem?has_content && attachmentIdentifier?has_content>
		
		<#local attachment = attachedBackgroundJustificationItem.AttachedDocument />
		<#local attachmentRemarks =  attachedBackgroundJustificationItem.Remarks />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section name in IUCLID -->
				<td>
					<para><@com.text attachmentIdentifier.sectionNr /></para>
					<para><@com.emptyLine/></para>
					<para>Attached Background Material for Overall Remarks and Atachments (Endpoint Study Record)</para>
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text document.name />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					<#else/>
						<@com.text document.documentKey.uuid />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td >					
					<@attachmentName attachment />
				</td>
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>
					<@remarksForAttachment attachment />
					<#else/>
					No remarks for this attachment are provided
					</#if>
				</td>
				
				<!-- Reason/Purpose or additional remarks for attachment -->
				<td>
					<#if attachmentRemarksBackground?has_content>
					<@com.text attachmentRemarksBackground />
					<#else/>
					No additional remarks for this attachment are provided
					</#if>
				</td>				
				
				<!-- Size -->
				<td>
					<@attachmentSize attachment />
				</td>				
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for images -->					
<#macro tableRowForImages document attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if document?has_content && attachmentIdentifier?has_content>
		
		<#local attachmentPath = "document." + attachmentIdentifier.attachmentNamePath />
		<#local attachment = attachmentPath?eval />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td >					
					<para><@com.text attachmentIdentifier.sectionNr /></para>
					<para><@com.emptyLine/></para>
					<para>Attached Illustration in Overall Remarks and Attachments (Endpoint Study Record)</para>
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text document.name />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					<#else/>
						<@com.text document.documentKey.uuid />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${document.documentKey.uuid}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>
					<#if attachment?has_content>
					<@attachmentName attachment />
					<#else/>
					No attachment name provided
					</#if>	
				</td>				
				
				<!-- image -->
				<td>
					<#assign attachmentKey = attachment />
						<#if attachmentKey?has_content>
							<#assign structuralFormula = iuclid.getMetadataForAttachment(attachmentKey) />
							<#if structuralFormula?has_content && structuralFormula.isImage>
								<#if structuralFormula.exceedsLimit(10000000)>
									<para><emphasis role="bold">Image size is too big (${structuralFormula.size} bytes) and cannot be displayed!</emphasis></para>
								<#elseif !iuclid.imageMimeTypeSupported(structuralFormula.mediaType) />
									<para><emphasis role="bold">Image type (${structuralFormula.mediaType}) is not yet supported!</emphasis></para>
								<#else/>
									<figure>
										<mediaobject>
											<imageobject>
												<imagedata width="65%" scalefit="1" fileref="data:${structuralFormula.mediaType};base64,${iuclid.getContentForAttachment(attachmentKey)}" />
											</imageobject>
										</mediaobject>
									</figure>
								</#if>
							</#if>
						</#if>			
				</td>
				
				<!-- Rmedia type-->
				<td>
					<@attachmentMediaType attachment />
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSize attachment />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for PBT Assessment summaries -->					
<#macro tableRowForPbtAssessment document attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if document?has_content && attachmentIdentifier?has_content>
		
		<#local attachmentPath = "document." + attachmentIdentifier.attachmentNamePath />
		<#local attachment = attachmentPath?eval />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td>
					<para><@com.text attachmentIdentifier.sectionNr /></para>					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text document.name />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					<#else/>
						<@com.text document.documentKey.uuid />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${document.documentKey.uuid}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>
					<@attachmentNameForAttachedStudyReport attachment />
				</td>				
				
				<!-- Remarks for attachment -->
				<td>
					<#if attachment?has_content>					
					<@attachmentRemarkForAttachedStudyReport attachment />						
					</#if>					
				</td>
				
				<!-- additional remarks -->
				<td>
					No additional remarks are provided for this attachment
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSizeForAttachedStudyReport attachment />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for attached study reports -->					
<#macro tableRowForAttachedStudy document attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if document?has_content && attachmentIdentifier?has_content>
		
		<#local attachmentPath = "document." + attachmentIdentifier.attachmentNamePath />
		<#local attachment = attachmentPath?eval />
	
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td>
					<para><@com.text attachmentIdentifier.sectionNr /></para>
					<para><@com.emptyLine/></para>
					<para>Attached Full Study Report for Overall Remarks and Attachments (Endpoint Study Record)</para>
					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text document.name />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					<#else/>
						<@com.text document.documentKey.uuid />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${document.documentKey.uuid}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>
					<@attachmentNameForAttachedStudyReport attachment />
				</td>				
				
				<!-- Remarks for attachment -->
				<td>
					<#if attachment?has_content>					
					<@attachmentRemarkForAttachedStudyReport attachment />						
					</#if>					
				</td>
				
				<!-- additional remarks -->
				<td>
					No additional remarks are provided for this attachment
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSizeForAttachedStudyReport attachment />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for attachments for section 3.5.4 (envir related to workers) -->					
<#macro tableRowForUsesEmissions attachmentComponentItem attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if attachmentComponentItem?has_content && attachmentIdentifier?has_content>
		
		<#local attachment = attachmentComponentItem.ConditionsOfUse.TechCond.AdditionalInformationRelatedToTheTechnologiesMinimisingEmissions />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td>
					<para><@com.text attachmentIdentifier.sectionNr /></para>					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>
					<@attachmentNameForAttachedStudyReport attachment />
				</td>				
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>					
					<@attachmentRemarkForAttachedStudyReport attachment />						
					</#if>					
				</td>
				
				<!-- type of attachment -->
				<td>
					<@attachmentMediaTypeForAttachedStudyReport attachment />
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSizeForAttachedStudyReport attachment />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for attachments for section 3.5.6 (envir) -->					
<#macro tableRowForUsesAtIndustrialSitesStrictControl document attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if document?has_content && attachmentIdentifier?has_content>
		
		<#local attachment = document.UsesAtIndustrialSites.AdditionalInformationOnTheConditionsForStrictControl />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td>
					<para><@com.text attachmentIdentifier.sectionNr /></para>					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>
					<@attachmentName attachment />
				</td>				
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>					
					<@remarksForAttachment attachment />						
					</#if>					
				</td>
				
				<!-- type of attachment -->
				<td>
					<@attachmentMediaType attachment />
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSize attachment />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for attachments for section 3.5.4 (envir) -->					
<#macro tableRowForEnvir attachmentComponentItem attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if attachmentComponentItem?has_content && attachmentIdentifier?has_content>
		
		<#local attachment = attachmentComponentItem.ExpRiskEnvir.Attachment />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td >
					
					<para><@com.text attachmentIdentifier.sectionNr /></para>					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>
					<@attachmentNameForAttachedStudyReport attachment />
				</td>				
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>					
					<@attachmentRemarkForAttachedStudyReport attachment />						
					</#if>					
				</td>
				
				<!-- type of attachment -->
				<td>
					<@attachmentMediaTypeForAttachedStudyReport attachment />
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSizeForAttachedStudyReport attachment />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for attachments for section 3.5.6 (containment) -->					
<#macro tableRowForControlArticle attachmentComponentItem attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if attachmentComponentItem?has_content && attachmentIdentifier?has_content>
		
		<#local attachment = attachmentComponentItem.ContributingScenarioWorkers.TechCond.AddInfoTechMeansRigorousContainment />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td >
					
					<para><@com.text attachmentIdentifier.sectionNr /></para>					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>
					<@attachmentNameForAttachedStudyReport attachment />
				</td>				
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>					
					<@attachmentRemarkForAttachedStudyReport attachment />						
					</#if>					
				</td>
				
				<!-- type of attachment -->
				<td>
					<@attachmentMediaTypeForAttachedStudyReport attachment />
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSizeForAttachedStudyReport attachment />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for attachments for section 3.5.5 (containment) -->					
<#macro tableRowForControl attachmentComponentItem attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if attachmentComponentItem?has_content && attachmentIdentifier?has_content>
		
		<#local attachment = attachmentComponentItem.ContributingScenarioWorkers.TechCond.AddInfoTechMeansRigorousContainment />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td >
					
					<para><@com.text attachmentIdentifier.sectionNr /></para>					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>
					<@attachmentNameForAttachedStudyReport attachment />
				</td>				
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>					
					<@attachmentRemarkForAttachedStudyReport attachment />						
					</#if>					
				</td>
				
				<!-- type of attachment -->
				<td>
					<@attachmentMediaTypeForAttachedStudyReport attachment />
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSizeForAttachedStudyReport attachment />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>


<!-- table for attachments for section 3.5.6 (containment) -->					
<#macro tableRowForWorkersArticle attachmentComponentItem attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if attachmentComponentItem?has_content && attachmentIdentifier?has_content>
		
		<#local attachment = attachmentComponentItem.ExpWorkers.Attachment />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td >
					
					<para><@com.text attachmentIdentifier.sectionNr /></para>					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>
					<@attachmentNameForAttachedStudyReport attachment />
				</td>				
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>					
					<@attachmentRemarkForAttachedStudyReport attachment />						
					</#if>					
				</td>
				
				<!-- type of attachment -->
				<td>
					<@attachmentMediaTypeForAttachedStudyReport attachment />
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSizeForAttachedStudyReport attachment />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for attachments for section 3.5.4 (containment) -->					
<#macro tableRowForWorkers attachmentComponentItem attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if attachmentComponentItem?has_content && attachmentIdentifier?has_content>
		
		<#local attachment = attachmentComponentItem.ExpWorkers.Attachment />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td >
					
					<para><@com.text attachmentIdentifier.sectionNr /></para>					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>
					<@attachmentNameForAttachedStudyReport attachment />
				</td>				
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>					
					<@attachmentRemarkForAttachedStudyReport attachment />						
					</#if>					
				</td>
				
				<!-- type of attachment -->
				<td>
					<@attachmentMediaTypeForAttachedStudyReport attachment />
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSizeForAttachedStudyReport attachment />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for attachments for section 3.5.6 (exposure risk) -->					
<#macro tableRowForConsumersExposureRiskArticle attachmentComponentItem attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if attachmentComponentItem?has_content && attachmentIdentifier?has_content>
		
		<#local attachment = attachmentComponentItem.ExposureAndRisk.Attachment />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td >
					
					<para><@com.text attachmentIdentifier.sectionNr /></para>					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>
					<@attachmentNameForAttachedStudyReport attachment />
				</td>				
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>					
					<@attachmentRemarkForAttachedStudyReport attachment />						
					</#if>					
				</td>
				
				<!-- type of attachment -->
				<td>
					<@attachmentMediaTypeForAttachedStudyReport attachment />
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSizeForAttachedStudyReport attachment />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for attachments for section 3.5.5 (exposure risk) -->					
<#macro tableRowForConsumersExposureRisk attachmentComponentItem attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if attachmentComponentItem?has_content && attachmentIdentifier?has_content>
		
		<#local attachment = attachmentComponentItem.ExposureAndRisk.Attachment />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td >
					
					<para><@com.text attachmentIdentifier.sectionNr /></para>					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>
					<@attachmentNameForAttachedStudyReport attachment />
				</td>				
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>					
					<@attachmentRemarkForAttachedStudyReport attachment />						
					</#if>					
				</td>
				
				<!-- type of attachment -->
				<td>
					<@attachmentMediaTypeForAttachedStudyReport attachment />
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSizeForAttachedStudyReport attachment />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for attachments for section 3.5.6 (exposure estimate) -->					
<#macro tableRowForConsumersExposureEstimateArticle attachmentComponentItem attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if attachmentComponentItem?has_content && attachmentIdentifier?has_content>
		
		<#local attachment = attachmentComponentItem.ExposureAndRisksToConsumers.Attachment />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td >
					
					<para><@com.text attachmentIdentifier.sectionNr /></para>					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>
					<@attachmentNameForAttachedStudyReport attachment />
				</td>				
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>					
					<@attachmentRemarkForAttachedStudyReport attachment />						
					</#if>					
				</td>
				
				<!-- type of attachment -->
				<td>
					<@attachmentMediaTypeForAttachedStudyReport attachment />
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSizeForAttachedStudyReport attachment />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for attachments for section 3.5.5 (exposure estimate) -->					
<#macro tableRowForConsumersExposureEstimate attachmentComponentItem attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if attachmentComponentItem?has_content && attachmentIdentifier?has_content>
		
		<#local attachment = attachmentComponentItem.ExposureAndRisksToConsumers.Attachment />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td >
					
					<para><@com.text attachmentIdentifier.sectionNr /></para>					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${documentUUID}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>
					<@attachmentNameForAttachedStudyReport attachment />
				</td>				
				
				<!-- Remarks for attachment-->
				<td>
					<#if attachment?has_content>					
					<@attachmentRemarkForAttachedStudyReport attachment />						
					</#if>					
				</td>
				
				<!-- type of attachment -->
				<td>
					<@attachmentMediaTypeForAttachedStudyReport attachment />
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSizeForAttachedStudyReport attachment />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for information panel attachment information SUBTANCE ONLY -->					
<#macro tableRowForInformationPanelSubstance document documentName="" documentUUID="">
<#compress>
	<#if document?has_content>
		
		<#if document?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td>
					<para>1.1</para>
					<para><@com.emptyLine/></para>
					<para>Attachment in Information Panel</para>
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text document.name />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					<#else/>
						<@com.text document.documentKey.uuid />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${document.documentKey.uuid}">
					</ulink></citetitle>					
				</td>
				
				<!-- Names of attachment -->
				<td>
					<@attachmentNameForInfoPanel document />									
				</td>				
				
				<!-- Remarks for attachment-->
				<td>
					<@attachmentRemarksForInfoPanel document />
					
				</td>
				
				<!-- Reason/Purpose or additional remarks for attachment -->
				<td>
					No additional remarks for this attachment are provided
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSizesForInfoPanel document />
					<@attachmentMediaTypeForInfoPanel document />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>



<!-- table for information panel attachment information -->					
<#macro tableRowForInformationPanel document attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if document?has_content && attachmentIdentifier?has_content>
		
		<#local attachment = "document." />
		
		<#if document.attachments?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td>
					<para><@com.text attachmentIdentifier.sectionNr /></para>
					<para><@com.emptyLine/></para>
					<para>Attachment in Information Panel</para>
					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text document.name />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					<#else/>
						<@com.text document.documentKey.uuid />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${document.documentKey.uuid}">
					</ulink></citetitle>					
				</td>
				
				<!-- Names of attachment -->
				<td>
					<@attachmentNameForInfoPanel document />									
				</td>				
				
				<!-- Remarks for attachment-->
				<td>
					<@attachmentRemarksForInfoPanel document />
					
				</td>
				
				<!-- Reason/Purpose or additional remarks for attachment -->
				<td>
					No additional remarks for this attachment are provided
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSizesForInfoPanel document />
					<@attachmentMediaTypeForInfoPanel document />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- table for assessment reports -->					
<#macro tableRowForAssessmentReports document attachmentIdentifier documentName="" documentUUID="">
<#compress>
	<#if document?has_content && attachmentIdentifier?has_content>
		
		<#local attachmentPath = "document." + attachmentIdentifier.attachmentNamePath />
		<#local attachment = attachmentPath?eval />
		
		<#if attachment?has_content>
			<tr><?dbfo bgcolor="#87CEFA" ?>
							
				<!-- Section in IUCLID -->
				<td>
					<para><@com.text attachmentIdentifier.sectionNr /></para>					
				</td>
				
				<!-- Record/Summary Name -->									
				<td>
					<#if documentName?has_content>
						<@com.text documentName />
					<#else/>
						<@com.text document.name />
					</#if>
				</td>
				
				<!-- Section UUID -->
				<td>
					<#if documentUUID?has_content>
						<@com.text documentUUID />
					<#else/>
						<@com.text document.documentKey.uuid />
					</#if>
					<citetitle><ulink url="http://localhost:8080/webstart/launch.jnlp?uuid=${document.documentKey.uuid}">
					</ulink></citetitle>
				</td>
				
				<!-- Names of attachment -->
				<td>
					<@attachmentName attachment />
				</td>				
				
				<!-- Remarks for attachment -->
				<td>
					<#if attachment?has_content>					
					<@remarksForAttachment attachment />						
					</#if>					
				</td>
				
				<!-- type -->
				<td>
					<@attachmentMediaType attachment />
				</td>
								
				<!-- Size -->
				<td>
					<@attachmentSize attachment />
				</td>
			</tr>
		</#if>
	</#if>
</#compress>
</#macro>

<!-- Macros for attached justification -->
<#macro attachmentName attachments>
<#compress>
	<#assign attachmentData = iuclid.getMetadataForAttachment(attachments) />
	<#if attachmentData?has_content>
		${attachmentData.filename}
	</#if>
</#compress>
</#macro>

<#macro remarksForAttachment attachments>
<#compress>
	<#assign attachmentData = iuclid.getMetadataForAttachment(attachments) />
	<#if attachmentData?has_content>
		${attachmentData.remarks}
	</#if>
</#compress>
</#macro>

<#macro attachmentSize attachments>
<#compress>
	<#assign attachmentData = iuclid.getMetadataForAttachment(attachments) />
	<#if attachmentData?has_content>
		<para><emphasis role="bold">Attachment size: </emphasis></para>${attachmentData.size}
	</#if>
</#compress>
</#macro>

<#macro attachmentMediaType attachmentKey >
<#compress>
	<#assign attachmentData = iuclid.getMetadataForAttachment(attachmentKey) />
	<#if attachmentData?has_content>
		<para><emphasis role="bold">Attachment media type: </emphasis>${attachmentData.mediaType}</para>
	</#if>
</#compress>
</#macro>


<!-- Macros for attached study report -->
<#macro attachmentNameForAttachedStudyReport attachmentNames>
<#compress>
	<#list attachmentNames as attachments>
		<#assign attachmentData = iuclid.getMetadataForAttachment(attachments) />
		<#if attachmentData?has_content>
			${attachmentData.filename}
		</#if>
	</#list>
</#compress>
</#macro>

<#macro attachmentKeyForAttachedStudyReport attachmentKeys>
<#compress>
	<#list attachmentKeys as attachments>
		<#assign attachmentData = iuclid.getMetadataForAttachment(attachments) />
		<#if attachmentData?has_content>
			${attachmentData.key}
		</#if>
	</#list>
</#compress>
</#macro>

<#macro attachmentRemarkForAttachedStudyReport attachmentRemarks>
<#compress>
	<#list attachmentRemarks as attachments>
		<#assign attachmentData = iuclid.getMetadataForAttachment(attachments) />
		<#if attachmentData?has_content>
			${attachmentData.remarks}
		</#if>
	</#list>
</#compress>
</#macro>

<#macro attachmentSizeForAttachedStudyReport attachmentSizes>
<#compress>
	<#list attachmentSizes as attachments>
		<#assign attachmentData = iuclid.getMetadataForAttachment(attachments) />
		<#if attachmentData?has_content>
			<para><emphasis role="bold">Attachment size:</emphasis>${attachmentData.size}</para>
		</#if>
	</#list>
</#compress>
</#macro>

<#macro attachmentMediaTypeForAttachedStudyReport attachmentMediaTypes>
<#compress>
	<#list attachmentMediaTypes as attachments>
		<#assign attachmentData = iuclid.getMetadataForAttachment(attachments) />
		<#if attachmentData?has_content>
			<para><emphasis role="bold">Attachment media type:</emphasis>${attachmentData.mediaType}</para>
		</#if>
	</#list>
</#compress>
</#macro>

<#macro attachmentMediaTypeForInfoPanel attachment>
<#compress>
	<#list attachment.attachments as attachmentKey>
		<#assign attachmentData = iuclid.getMetadataForAttachment(attachmentKey) />
			<#if attachmentData?has_content>
			${attachmentData.mediaType} 
			</#if>
	</#list>
</#compress>
</#macro>

<#macro attachmentNameForInfoPanel attachment>
<#compress>
	<#list attachment.attachments as attachmentKey>
		<#assign attachmentData = iuclid.getMetadataForAttachment(attachmentKey) />
			<#if attachmentData?has_content>
			${attachmentData.filename} 
			</#if>
	</#list>
</#compress>
</#macro>

<#macro attachmentRemarksForInfoPanel attachment>
<#compress>
	<#list attachment.attachments as attachmentKey>
	<#assign attachmentData = iuclid.getMetadataForAttachment(attachmentKey) />
		<#if attachmentData?has_content>
		${attachmentData.remarks}
		<#else/>
		No remarks for this attachment are provided
		</#if>
	</#list>
</#compress>
</#macro>

<#macro attachmentSizesForInfoPanel attachment>
<#compress>
	<#list attachment.attachments as attachmentKey>
	<#assign attachmentData = iuclid.getMetadataForAttachment(attachmentKey) />
		<#if attachmentData?has_content>
		${attachmentData.size}
		<#else/>
		No remarks for this attachment are provided
		</#if>
	</#list>
</#compress>
</#macro>