<#-- Utilities for BPR Report of confidentiality requests main template filel -->

<#-- Varible that contains the list of attached Literature References in a Substance dataset or dossier -->
<#assign mixtureLiteratureReferenceList = [
	{'AnnexIIIrequirements': 'Appearance (at 20°C and 101.3 kPa)', 'sectionNr': '3.1', 'sectionName': 'Appearance (at 20°C and 101.3 kPa)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneralInformation'},
	{'AnnexIIIrequirements': 'Acidity, alkalinity', 'sectionNr': '3.2', 'sectionName': 'Acidity, alkalinity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Ph'},
	{'AnnexIIIrequirements': 'Relative density (liquids) and bulk, tap density (solids)', 'sectionNr': '3.3', 'sectionName': 'Relative density (liquids) and bulk, tap density (solids)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Density'},
	{'AnnexIIIrequirements': 'Storage stability tests', 'sectionNr': '3.4.1', 'sectionName': 'Storage stability tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StorageStability'},
	{'AnnexIIIrequirements': 'Light', 'sectionNr': '3.4.2.1', 'sectionName': 'Light', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityThermal'},
	{'AnnexIIIrequirements': 'Technical characteristics of the biocidal product', 'sectionNr': '3.5', 'sectionName': 'Technical characteristics of the biocidal product', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'TechnicalCharacteristics'},
	{'AnnexIIIrequirements': 'Physical and chemical compatibility with other products', 'sectionNr': '3.6', 'sectionName': 'Physical and chemical compatibility with other products', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhysicalChemicalCompatibility'},
	{'AnnexIIIrequirements': 'Surface tension', 'sectionNr': '3.8', 'sectionName': 'Surface tension', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SurfaceTension'},
	{'AnnexIIIrequirements': 'Viscosity', 'sectionNr': '3.9', 'sectionName': 'Viscosity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Viscosity'},
	{'AnnexIIIrequirements': 'Explosives', 'sectionNr': '4.1', 'sectionName': 'Explosives', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Explosiveness'},
	{'AnnexIIIrequirements': 'Organic peroxides', 'sectionNr': '4.15', 'sectionName': 'Organic peroxides', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OrganicPeroxide'},
	{'AnnexIIIrequirements': 'Corrosive to metals', 'sectionNr': '4.16', 'sectionName': 'Corrosive to metals', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CorrosiveToMetals'},
	{'AnnexIIIrequirements': 'Additional physical indicators for hazards', 'sectionNr': '4.17', 'sectionName': 'Additional physical indicators for hazards                       ', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalPhysicoChemical'},
	{'AnnexIIIrequirements': 'Auto-ignition temperature (liquids and gases)', 'sectionNr': '4.17.1', 'sectionName': 'Auto-ignition temperature (liquids and gases)                       ', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AutoFlammability'},
	{'AnnexIIIrequirements': 'Flammability', 'sectionNr': '4.2', 'sectionName': 'Flammability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Flammability'},
	{'AnnexIIIrequirements': 'Oxidising properties', 'sectionNr': '4.4', 'sectionName': 'Oxidising properties', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OxidisingProperties'},
	{'AnnexIIIrequirements': 'Gases under pressure', 'sectionNr': '4.5', 'sectionName': 'Gases under pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GasesUnderPressure'},
	{'AnnexIIIrequirements': 'Flammable liquids', 'sectionNr': '4.6', 'sectionName': 'Flammable liquids', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FlashPoint'},
	{'AnnexIIIrequirements': 'Self-reactive substances and mixtures', 'sectionNr': '4.8', 'sectionName': 'Self-reactive substances and mixtures', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SelfReactiveSubstances'},
	{'AnnexIIIrequirements': 'Effectiveness against target organisms', 'sectionNr': '6.1', 'sectionName': 'Function and mode of control', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EffectivenessAgainstTargetOrganisms'},
	{'AnnexIIIrequirements': 'Efficacy data to support these claims, including any available standard protocols, laboratory tests or field trials used including performance standards where appropriate and relevant', 'sectionNr': '6.7', 'sectionName': 'Efficacy data to support these claims', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EfficacyData'},
	{'AnnexIIIrequirements': 'Skin irritation / corrosion', 'sectionNr': '8.1.1', 'sectionName': 'Skin irritation / corrosion', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationTerrestrial'},
	{'AnnexIIIrequirements': 'Eye irritation', 'sectionNr': '8.1.2', 'sectionName': 'Eye irritation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OtherDistributionData'},
	{'AnnexIIIrequirements': 'Other test(s) related to the exposure to humans ', 'sectionNr': '8.10', 'sectionName': 'Other test(s) related to the exposure to humans ', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExpectedExposureAndProposedAcceptableResidues'},
	{'AnnexIIIrequirements': 'Skin sensitisation', 'sectionNr': '8.3.1', 'sectionName': 'Skin sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SkinSensitisation'},
	{'AnnexIIIrequirements': 'Respiratory sensitisation', 'sectionNr': '8.3.2', 'sectionName': 'Respiratory sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RespiratorySensitisation'},
	{'AnnexIIIrequirements': 'Acute toxicity: oral', 'sectionNr': '8.5.1', 'sectionName': 'Acute toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOral'},
	{'AnnexIIIrequirements': 'Acute toxicity: inhalation', 'sectionNr': '8.5.2', 'sectionName': 'Acute toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityInhalation'},
	{'AnnexIIIrequirements': 'Acute toxicity: dermal', 'sectionNr': '8.5.3', 'sectionName': 'Acute toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityDermal'},
	{'AnnexIIIrequirements': 'Acute toxicity: product combinations', 'sectionNr': '8.5.4', 'sectionName': 'Acute toxicity: product combinations', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOtherRoutes'},
	{'AnnexIIIrequirements': 'Dermal absorption', 'sectionNr': '8.6', 'sectionName': 'Dermal absorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DermalAbsorption'},
	{'AnnexIIIrequirements': 'other endpoints', 'sectionNr': '8.7.1', 'sectionName': 'other endpoints', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalToxicologicalInformation'},
	{'AnnexIIIrequirements': 'Food and feedingstuffs studies', 'sectionNr': '8.8', 'sectionName': 'Food and feedingstuffs studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInLivestock'},
	{'AnnexIIIrequirements': 'Effects of industrial processing and/or domestic preparation on the nature and magnitude of residues of the biocidal product', 'sectionNr': '8.9', 'sectionName': 'Effects of industrial processing and / or domestic preparation on the nature and magnitude of residues of the biocidal product', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInfoOnResiduesInFood'},
	{'AnnexIIIrequirements': 'Further ecotoxicological studies', 'sectionNr': '9.2', 'sectionName': 'Further ecotoxicological studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalEcotoxicologicalInformation'},
	{'AnnexIIIrequirements': 'Short-term toxicity testing on fish ', 'sectionNr': '9.2.1.1', 'sectionName': 'Short-term toxicity testing on fish ', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToFish'},
	{'AnnexIIIrequirements': 'Effects on aquatic macrophytes', 'sectionNr': '9.2.1.10', 'sectionName': 'Effects on aquatic macrophytes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticPlant'},
	{'AnnexIIIrequirements': 'Short-term toxicity to aquatic invertebrates', 'sectionNr': '9.2.1.2', 'sectionName': 'Short-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToAquaInv'},
	{'AnnexIIIrequirements': 'Growth inhibition study on algae', 'sectionNr': '9.2.1.3', 'sectionName': 'Growth inhibition study on algae', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticAlgae'},
	{'AnnexIIIrequirements': 'Inhibition of microbial activity', 'sectionNr': '9.2.1.5', 'sectionName': 'Inhibition of microbial activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToMicroorganisms'},
	{'AnnexIIIrequirements': 'Long term toxicity testing on fish ', 'sectionNr': '9.2.1.6.1', 'sectionName': 'Long term toxicity testing on fish ', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxToFish'},
	{'AnnexIIIrequirements': 'Long term toxicity testing on invertebrates ', 'sectionNr': '9.2.1.6.2', 'sectionName': 'Long term toxicity testing on invertebrates ', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxicityToAquaInv'},
	{'AnnexIIIrequirements': 'Bioaccumulation in an appropriate aquatic species', 'sectionNr': '9.2.1.7', 'sectionName': 'Bioaccumulation in an appropriate aquatic species', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationAquaticSediment'},
	{'AnnexIIIrequirements': 'Effects on any other specific, non-target organisms (flora and fauna) believed to be at risk', 'sectionNr': '9.2.1.8', 'sectionName': 'Effects on any other specific, non-target organisms (flora and fauna) believed to be at risk', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAqua'},
	{'AnnexIIIrequirements': 'Studies on sediment dwelling organisms', 'sectionNr': '9.2.1.9', 'sectionName': 'Studies on sediment dwelling organisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SedimentToxicity'},
	{'AnnexIIIrequirements': 'Effects on soil microorganisms', 'sectionNr': '9.2.2.1', 'sectionName': 'Effects on soil microorganisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMicroorganisms'},
	{'AnnexIIIrequirements': 'Effects on earthworms or other soil-dwelling non-target invertebrates', 'sectionNr': '9.2.2.2', 'sectionName': 'Effects on earthworms or other soil-dwelling non-target invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMacroorganismsExceptArthropods'},
	{'AnnexIIIrequirements': 'Acute toxicity to plants', 'sectionNr': '9.2.2.3', 'sectionName': 'Acute toxicity to plants', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialPlants'},
	{'AnnexIIIrequirements': 'Effects on birds', 'sectionNr': '9.2.4', 'sectionName': 'Effects on birds', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToBirds.AdministrativeData'},
	{'AnnexIIIrequirements': 'Effects on arthropods', 'sectionNr': '9.2.5', 'sectionName': 'Effects on arthropods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialArthropods'},
	{'AnnexIIIrequirements': 'Bioconcentration terrestrial', 'sectionNr': '9.2.6', 'sectionName': 'Bioconcentration terrestrial', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationTerrestrial'},
	{'AnnexIIIrequirements': 'Effects on other non-target, non-aquatic organisms', 'sectionNr': '9.2.8', 'sectionName': 'Effects on other non-target, non-aquatic organisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAboveGroundOrganisms'},
	{'AnnexIIIrequirements': 'Foreseeable routes of entry into the environment on the basis of the use envisaged', 'sectionNr': '10.1', 'sectionName': 'Foreseeable routes of entry into the environment on the basis of the use envisaged', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DistributionModelling'},
	{'AnnexIIIrequirements': 'Further studies on fate and behaviour in the environment', 'sectionNr': '10.2', 'sectionName': 'Further studies on fate and behaviour in the environment', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInformationOnEnvironmentalFateAndBehaviour'},
	{'AnnexIIIrequirements': 'Leaching behaviour', 'sectionNr': '10.3', 'sectionName': 'Leaching behaviour', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EmissionsFromPreservativeTreatedWood'},
	{'AnnexIIIrequirements': 'Testing for distribution and dissipation', 'sectionNr': '10.4', 'sectionName': 'Testing for distribution and dissipation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OtherDistributionData'}
	] />

<#-- Varible that contains the list of attached Literature References in a Mixture dataset or dossier -->
<#assign substanceLiteratureReferenceListpart1 = [
	{'AnnexIIIrequirements': 'Appearance', 'sectionNr': '3.1', 'sectionName': 'Appearance/physical state/colour', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneralInformation'},
	{'AnnexIIIrequirements': 'Melting/freezing point ', 'sectionNr': '3.2', 'sectionName': 'Melting point/freezing point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Melting'},
	{'AnnexIIIrequirements': 'Acidity, alkalinity', 'sectionNr': '3.3', 'sectionName': 'Acidity, alkalinity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Ph'},
	{'AnnexIIIrequirements': 'Boiling point', 'sectionNr': '3.4', 'sectionName': 'Boiling point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BoilingPoint'},
	{'AnnexIIIrequirements': 'Relative density', 'sectionNr': '3.5', 'sectionName': 'Relative density', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Density'},
	{'AnnexIIIrequirements': 'Vapour pressure', 'sectionNr': '3.7.1', 'sectionName': 'Vapour pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Vapour'},
	{'AnnexIIIrequirements': 'Henry\'s law constant', 'sectionNr': '3.7.2', 'sectionName': 'Henry\'s law constant', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HenrysLawConstant'},
	{'AnnexIIIrequirements': 'Surface tension', 'sectionNr': '3.8', 'sectionName': 'Surface tension', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SurfaceTension'},
	{'AnnexIIIrequirements': 'Water solubility', 'sectionNr': '3.9', 'sectionName': 'Water solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'WaterSolubility'},
	{'AnnexIIIrequirements': 'Partition coefficient (n-octanol/water) and its pH dependency', 'sectionNr': '3.10', 'sectionName': 'Partition coefficient (n-octanol/water) and its pH dependency', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Partition'},
	{'AnnexIIIrequirements': 'Thermal stability, identity of breakdown products', 'sectionNr': '3.11', 'sectionName': 'Thermal stability, identity of breakdown products', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityThermal'},
	{'AnnexIIIrequirements': 'Reactivity towards container material', 'sectionNr': '3.12', 'sectionName': 'Reactivity towards container material', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StorageStability'},
	{'AnnexIIIrequirements': 'Dissociation constant', 'sectionNr': '3.13', 'sectionName': 'Dissociation constant', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DissociationConstant'},
	{'AnnexIIIrequirements': 'Granulometry', 'sectionNr': '3.14', 'sectionName': 'Particle size distribution (Granulometry)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Granulometry'},
	{'AnnexIIIrequirements': 'Viscosity', 'sectionNr': '3.15', 'sectionName': 'Viscocity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Viscosity'},
	{'AnnexIIIrequirements': ' Solubility in organic solvents, including effect of temperature on solubility', 'sectionNr': '3.16', 'sectionName': 'Solubility in organic solvents / fat solubility', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SolubilityOrganic'},
	{'AnnexIIIrequirements': ' Stability in organic solvents used in biocidal products and identity of relevant breakdown products', 'sectionNr': '3.17', 'sectionName': 'Stability in organic solvents and identity of relevant degradation products', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'StabilityOrganic'},
	{'AnnexIIIrequirements': 'Nanomaterial agglomeration / aggregation', 'sectionNr': '3.18.1', 'sectionName': 'Nanomaterial agglomeration / aggregation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AgglomerationAggregation'},
	{'AnnexIIIrequirements': 'Nanomaterial crystalline phase', 'sectionNr': '3.18.2', 'sectionName': 'Nanomaterial crystalline phase', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CrystallinePhase'},
	{'AnnexIIIrequirements': 'Nanomaterial crystalline phase', 'sectionNr': '3.18.3', 'sectionName': 'Nanomaterial crystalline phase', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CrystallinePhase'},
	{'AnnexIIIrequirements': 'Nanomaterial aspect ratio / shape', 'sectionNr': '3.18.4', 'sectionName': 'Nanomaterial aspect ratio / shape', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AspectRatioShape'},
	{'AnnexIIIrequirements': 'Nanomaterial specific surface area', 'sectionNr': '3.18.5', 'sectionName': 'Nanomaterial specific surface area', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SpecificSurfaceArea'},
	{'AnnexIIIrequirements': 'Nanomaterial Zeta potential', 'sectionNr': '3.18.6', 'sectionName': 'Nanomaterial Zeta potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ZetaPotential'},
	{'AnnexIIIrequirements': 'Nanomaterial surface chemistry', 'sectionNr': '3.18.7', 'sectionName': 'Nanomaterial surface chemistry', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SurfaceChemistry'},
	{'AnnexIIIrequirements': 'Nanomaterial dustiness', 'sectionNr': '3.18.8', 'sectionName': 'Nanomaterial dustiness', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Dustiness'},
	{'AnnexIIIrequirements': 'Nanomaterial porosity', 'sectionNr': '3.18.9', 'sectionName': 'Nanomaterial porosity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Porosity'},
	{'AnnexIIIrequirements': 'Nanomaterial pour density', 'sectionNr': '3.18.10', 'sectionName': 'Nanomaterial pour density', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PourDensity'},
	{'AnnexIIIrequirements': 'Nanomaterial photocatalytic activity', 'sectionNr': '3.18.11', 'sectionName': 'Nanomaterial photocatalytic activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhotocatalyticActivity'},
	{'AnnexIIIrequirements': 'Nanomaterial radical formation potential', 'sectionNr': '3.18.12', 'sectionName': 'Nanomaterial radical formation potential', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RadicalFormationPotential'},
	{'AnnexIIIrequirements': 'Nanomaterial catalytic activity', 'sectionNr': '3.18.13', 'sectionName': 'Nanomaterial catalytic activity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CatalyticActivity'},
	{'AnnexIIIrequirements': 'Explosives', 'sectionNr': '4.1', 'sectionName': 'Explosiveness', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Explosiveness'},
	{'AnnexIIIrequirements': 'Flammability', 'sectionNr': '4.2', 'sectionName': 'Flammability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Flammability'},
	{'AnnexIIIrequirements': 'Oxidising properties', 'sectionNr': '4.4', 'sectionName': 'Oxidising properties', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OxidisingProperties'},
	{'AnnexIIIrequirements': 'Gases under pressure', 'sectionNr': '4.5', 'sectionName': 'Gases under pressure', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GasesUnderPressure'},
	{'AnnexIIIrequirements': 'Flammable liquids', 'sectionNr': '4.6', 'sectionName': 'Flash point', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FlashPoint'},
	{'AnnexIIIrequirements': 'Self-reactive substances and mixtures', 'sectionNr': '4.8', 'sectionName': 'Self reactive substances', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SelfReactiveSubstances'},
	{'AnnexIIIrequirements': 'Organic peroxides', 'sectionNr': '4.15', 'sectionName': 'Organic peroxides', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'OrganicPeroxide'},
	{'AnnexIIIrequirements': 'Corrosive to metals', 'sectionNr': '4.16', 'sectionName': 'Corrosive to metal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'CorrosiveToMetals'},
	{'AnnexIIIrequirements': 'Additional physical indicators for hazards', 'sectionNr': '4.17', 'sectionName': 'Additional physico-chemical information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalPhysicoChemical'},
	{'AnnexIIIrequirements': 'Auto-ignition temperature (liquids and gases)', 'sectionNr': '4.17.1', 'sectionName': 'Auto flammability', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AutoFlammability'},
	{'AnnexIIIrequirements': 'METHODS OF DETECTION AND IDENTIFICATION', 'sectionNr': '5', 'sectionName': 'Methods of detection and identification', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AnalyticalMethods'},
	{'AnnexIIIrequirements': 'Efficacy data to support these claims on biocidal products and, where label claims are made, on treated articles, including any available standard protocols, laboratory tests or field trials used including performance standards where appropriate', 'sectionNr': '6.6', 'sectionName': 'Efficacy data to support these claims on biocidal products and on treated articles', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EfficacyData'},
	{'AnnexIIIrequirements': 'Skin irritation / corrosion', 'sectionNr': '8.1.1', 'sectionName': 'Skin irritation / corrosion', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SkinIrritationCorrosion'},
	{'AnnexIIIrequirements': 'Eye irritation', 'sectionNr': '8.1.2', 'sectionName': 'Eye irritation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EyeIrritation'},
	{'AnnexIIIrequirements': 'Skin sensitisation', 'sectionNr': '8.3.1', 'sectionName': 'Skin sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SkinSensitisation'},
	{'AnnexIIIrequirements': 'Respiratory sensitisation', 'sectionNr': '8.3.2', 'sectionName': 'Respiratory sensitisation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RespiratorySensitisation'}
] />

<#assign substanceLiteratureReferenceListpart2 = [
	{'AnnexIIIrequirements': 'Genetic toxicity in vitro', 'sectionNr': '8.5.4', 'sectionName': 'Genetic toxicity in vitro', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneticToxicityVitro'},
	{'AnnexIIIrequirements': 'Genetic toxicity in vivo', 'sectionNr': '8.5.5', 'sectionName': 'Genetic toxicity in vivo', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'GeneticToxicityVivo'},
	{'AnnexIIIrequirements': 'Acute toxicity: oral', 'sectionNr': '8.7.1', 'sectionName': 'Acute toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityOral'},
	{'AnnexIIIrequirements': 'Acute toxicity: inhalation', 'sectionNr': '8.7.2', 'sectionName': 'Acute toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityInhalation'},
	{'AnnexIIIrequirements': 'Acute toxicity: dermal', 'sectionNr': '8.7.3', 'sectionName': 'Acute toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AcuteToxicityDermal'},
	{'AnnexIIIrequirements': 'Further toxicokinetic and metabolism studies in mammals', 'sectionNr': '8.8.1', 'sectionName': 'Basic toxicokinetics', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BasicToxicokinetics'},
	{'AnnexIIIrequirements': 'Dermal absorption', 'sectionNr': '8.8.2', 'sectionName': 'Dermal absporption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DermalAbsorption'},
	{'AnnexIIIrequirements': 'Further repeated dose studies', 'sectionNr': '8.9.4', 'sectionName': 'Repeated dose toxicity: other routes', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityOther'},
	{'AnnexIIIrequirements': 'Repeated dose toxicity: oral', 'sectionNr': '8.9.5.1', 'sectionName': 'Repeated dose toxicity: oral', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityOral'},
	{'AnnexIIIrequirements': 'Repeated dose toxicity: inhalation', 'sectionNr': '8.9.5.2', 'sectionName': 'Repeated dose toxicity: inhalation', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityInhalation'},
	{'AnnexIIIrequirements': 'Repeated dose toxicity: dermal', 'sectionNr': '8.9.5.3', 'sectionName': 'Repeated dose toxicity: dermal', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'RepeatedDoseToxicityDermal'},
	{'AnnexIIIrequirements': 'Pre-natal developmental toxicity study', 'sectionNr': '8.10.1', 'sectionName': 'Developmental toxicity / teratogenicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DevelopmentalToxicityTeratogenicity'},
	{'AnnexIIIrequirements': 'Two-generation reproductive toxicity study', 'sectionNr': '8.10.2', 'sectionName': 'Toxicity to reproduction', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityReproduction'},
	{'AnnexIIIrequirements': 'Carcinogenicity', 'sectionNr': '8.11', 'sectionName': 'Carcinogenicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Carcinogenicity'},
	{'AnnexIIIrequirements': 'Medical surveillance data on manufacturing plant personnel', 'sectionNr': '8.12.1', 'sectionName': 'Health surveillance data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'HealthSurveillanceData'},
	{'AnnexIIIrequirements': 'Direct observations: clinical cases, poisoning incidents and other', 'sectionNr': '8.12.2', 'sectionName': 'Direct observations: clinical cases, poisoning incidents and other', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DirectObservationsClinicalCases'},
	{'AnnexIIIrequirements': 'Epidemiological data', 'sectionNr': '8.12.4', 'sectionName': 'Epidemological data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EpidemiologicalData'},
	{'AnnexIIIrequirements': 'Sensitisation data (humans)', 'sectionNr': '8.12.6', 'sectionName': 'Sensitisation data (humans)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SensitisationData'},
	{'AnnexIIIrequirements': 'Specific treatment in case of an accident or poisoning: first aid measures, antidotes and medical treatment, if known', 'sectionNr': '8.12.7', 'sectionName': 'Direct observations: clinical cases, poisoning incidents and other', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DirectObservationsClinicalCases'},
	{'AnnexIIIrequirements': 'Neurotoxicity', 'sectionNr': '8.13.2', 'sectionName': 'Neurotoxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Neurotoxicity'},
	{'AnnexIIIrequirements': 'Endocrine disruption', 'sectionNr': '8.13.3', 'sectionName': 'Endocrine disrupter mammalian screening – in vivo (level 3)', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EndocrineDisrupterMammalianScreening'},
	{'AnnexIIIrequirements': 'Immunotoxicity', 'sectionNr': '8.13.4', 'sectionName': 'Immunotoxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Immunotoxicity'},
	{'AnnexIIIrequirements': 'Specific investigations', 'sectionNr': '8.13.6', 'sectionName': 'Specific investigations: other studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SpecificInvestigations'},
	{'AnnexIIIrequirements': 'Studies related to the exposure of humans to the active substance', 'sectionNr': '8.14', 'sectionName': 'Exposure related observations in humans: other data', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExposureRelatedObservationsOther'},
	{'AnnexIIIrequirements': 'Toxic effects on livestock and pets', 'sectionNr': '8.15', 'sectionName': 'Toxic effects on livestock and pets', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicEffectsLivestock'},
	{'AnnexIIIrequirements': 'Proposed acceptable residue levels i.e. maximum residue limits (MRL) and the justification of their acceptability', 'sectionNr': '8.16.1', 'sectionName': 'Residues in livestock', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ResiduesInLivestock'},
	{'AnnexIIIrequirements': ' Behaviour of the residue of the active substance on the treated or contaminated food or feeding stuffs including the kinetics of disappearance', 'sectionNr': '8.16.2', 'sectionName': 'Migration of residues into and their behaviour on food or feedingstuffs', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MigrationOfResidues'},
	{'AnnexIIIrequirements': 'Estimation of potential or actual exposure of humans to the active substance and residues through diet and other means', 'sectionNr': '8.16.4', 'sectionName': 'Expected exposure and proposed acceptable residues', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ExpectedExposureAndProposedAcceptableResidues'},
	{'AnnexIIIrequirements': 'If residues of the active substance occur in or on feeding stuffs for a significant period of time or also residues found in food of animal origin after treatment on or around food- producing animals (e.g. direct treatment on animals or indirect treatment of animal houses or surroundings) then Feeding and metabolism studies in livestock shall be required to permit evaluation of residues in food of animal origin', 'sectionNr': '8.16.5', 'sectionName': 'Metabolism of residues in livestock', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MetabolismInLivestock'},
	{'AnnexIIIrequirements': ' Effects of industrial processing and/or domestic preparation on the nature and magnitude of residues of the active substance', 'sectionNr': '8.16.6', 'sectionName': 'Additional information on residues in food and feedingstuffs', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInfoOnResiduesInFood'},
	{'AnnexIIIrequirements': 'Short-term toxicity testing on fish ', 'sectionNr': '9.1.1', 'sectionName': 'Short-term toxicity to fish', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToFish'},
	{'AnnexIIIrequirements': 'Short-term toxicity testing on aquatic invertebrates', 'sectionNr': '9.1.2', 'sectionName': 'Short-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ShortTermToxicityToAquaInv'},
	{'AnnexIIIrequirements': 'Growth inhibition study on algae', 'sectionNr': '9.1.3', 'sectionName': 'Toxicity to aquatic algae and cyanobacteria', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticAlgae'},
	{'AnnexIIIrequirements': 'Inhibition of microbial activity', 'sectionNr': '9.1.5', 'sectionName': 'Toxicity to microorganisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToMicroorganisms'},
	{'AnnexIIIrequirements': 'Long term toxicity testing on fish ', 'sectionNr': '9.1.6.1', 'sectionName': 'Long-term toxicity to fish', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxToFish'},
	{'AnnexIIIrequirements': 'Long term toxicity testing on invertebrates ', 'sectionNr': '9.1.6.2', 'sectionName': 'Long-term toxicity to aquatic invertebrates', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'LongTermToxicityToAquaInv'},
	{'AnnexIIIrequirements': 'Bioaccumulation in an appropriate aquatic species', 'sectionNr': '9.1.7', 'sectionName': 'Bioaccumulation: aquatic / sediment', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationAquaticSediment'},
	{'AnnexIIIrequirements': 'Effects on any other specific, non-target organisms (flora and fauna) believed to be at risk', 'sectionNr': '9.1.8', 'sectionName': 'Toxicity to other aquatic organisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAqua'},
	{'AnnexIIIrequirements': 'Studies on sediment dwelling organisms', 'sectionNr': '9.1.9', 'sectionName': 'Sediment toxicity', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'SedimentToxicity'},
	{'AnnexIIIrequirements': 'Effects on aquatic macrophytes', 'sectionNr': '9.1.10', 'sectionName': 'Toxicity to aquatic plants other than algae', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToAquaticPlant'},
	{'AnnexIIIrequirements': 'Effects on soil microorganisms', 'sectionNr': '9.2.1', 'sectionName': 'Toxicity to soil microorganisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMicroorganisms'},
	{'AnnexIIIrequirements': 'Effects on earthworms or other soil-dwelling non-target invertebrates', 'sectionNr': '9.2.2', 'sectionName': 'Toxicity to soil macroorganisms except arthropods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToSoilMacroorganismsExceptArthropods'},
	{'AnnexIIIrequirements': 'Acute toxicity to plants', 'sectionNr': '9.2.3', 'sectionName': 'Toxicity to terrestrial plants', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialPlants'},
	{'AnnexIIIrequirements': 'Effects on birds', 'sectionNr': '9.4', 'sectionName': 'Toxicity to birds', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToBirds'},
	{'AnnexIIIrequirements': 'Effects on arthropods', 'sectionNr': '9.5', 'sectionName': 'Toxicity to terrestrial arthropods', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToTerrestrialArthropods'},
	{'AnnexIIIrequirements': 'Bioconcentration terrestrial', 'sectionNr': '9.6', 'sectionName': 'Bioaccumulation: terrestrial', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BioaccumulationTerrestrial'},
	{'AnnexIIIrequirements': 'Effects on other non-target, non-aquatic organisms', 'sectionNr': '9.8', 'sectionName': 'Toxicity to other above-ground organisms', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'ToxicityToOtherAboveGroundOrganisms'},
	{'AnnexIIIrequirements': 'Endocrine disrupter testing in aquatic vertebrates – in vivo', 'sectionNr': '9.10.1', 'sectionName': 'Endocrine disrupter testing in aquatic vertebrates – in vivo', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'EndocrineDisrupterTestingInAqua'},
	{'AnnexIIIrequirements': 'Other information on endocrine activity', 'sectionNr': '9.10.2', 'sectionName': 'Additional ecotoxicological information', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalEcotoxicologicalInformation'},
	{'AnnexIIIrequirements': 'Abiotic: Hydrolysis as a function of pH and identification of breakdown products', 'sectionNr': '10.1.1.1a', 'sectionName': 'Hydrolysis', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Hydrolysis'},
	{'AnnexIIIrequirements': 'Abiotic: Phototransformation in water, including identification of transformation products', 'sectionNr': '10.1.1.1b', 'sectionName': 'Phototransformation in water', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'Phototransformation'},
	{'AnnexIIIrequirements': 'Biotic --> Ready / inherent biodegradability', 'sectionNr': '10.1.1.2', 'sectionName': 'Biodegradation in water: screening tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInWaterScreeningTests'},
	{'AnnexIIIrequirements': 'Adsorption / desorption', 'sectionNr': '10.1.2', 'sectionName': 'Adsorption / desorption', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdsorptionDesorption'},
	{'AnnexIIIrequirements': 'Rate and route of degradation including identification of metabolites and degradation products', 'sectionNr': '10.1.3', 'sectionName': 'Biodegradation in water and sediment: simulation tests', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInWaterAndSedimentSimulationTests'},
	{'AnnexIIIrequirements': 'Field studies', 'sectionNr': '10.1.5', 'sectionName': 'Field studies', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'FieldStudies'},
	{'AnnexIIIrequirements': 'Laboratory study on rate and route of degradation including identification of the processes involved', 'sectionNr': '10.2.1', 'sectionName': 'Laboratory study in rate and route of degradation including identification of the process involved', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'BiodegradationInSoil'},
	{'AnnexIIIrequirements': 'Soil accumulation studies', 'sectionNr': '10.2.3', 'sectionName': 'Distribution modelling', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'DistributionModelling'},
	{'AnnexIIIrequirements': 'Phototransformation in air (estimation method)', 'sectionNr': '10.3.1', 'sectionName': 'Phototransformation in air', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'PhototransformationInAir'},
	{'AnnexIIIrequirements': 'Additional information on environmental fate and behaviour', 'sectionNr': '10.4', 'sectionName': 'Additional information on environmental fate and behaviour', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'AdditionalInformationOnEnvironmentalFateAndBehaviour'},
	{'AnnexIIIrequirements': 'Monitoring: Identification of all degradation products (>10%) must be included in the studies on degradation in soil, water and sediments', 'sectionNr': '10.6', 'sectionName': 'Monitoring: Identification of all degradation products (>10%) in the studies on degradation in soil, water and sediments', 'docType': 'ENDPOINT_STUDY_RECORD', 'docSubType': 'MonitoringData'}
] />
