<!-- ANNOTATION ANNEX:  -->
	
	<para xml:id="annotations"></para>
	<#list utilities.annexForAnnotationInformation as annotations>		
		
		<informaltable Frame="sides">
		<col width="50%" />
		<col width="50%" />
			<tbody>	
				<tr>
					<td><?dbfo bgcolor="#EEEEEE" ?>
					<para><emphasis role="HEAD-WoutNo">Basic data</emphasis></para>
						<para><emphasis role="bold"><phrase role="blue">Additional annotation information for
						</phrase> <phrase role="red"><@annotationName annotations/></phrase></emphasis><para><emphasis role="bold">Annotation UUID:</emphasis> <@annotationUUID annotations /></para></para>
						<#assign status><@annotationStatus annotations/></#assign>
						<#if status?has_content>
						<para><emphasis role="bold">Annotation status: </emphasis><@annotationStatus annotations/></para>
						</#if>
						<#assign annotationBasicRemarks><@annotationRemarks annotations/></#assign>
						<#if annotationBasicRemarks?has_content>
						<para><emphasis role="bold">Annotation basic remarks:</emphasis></para> <@annotationRemarks annotations/>
						</#if>
						<#assign annotationBasicAttachment><@annotationAttachedEvaluationName annotations/></#assign>
						<#if annotationBasicAttachment?has_content>
						<para><emphasis role="bold">Evaluation attachment name:</emphasis> <@annotationAttachedEvaluationName annotations/></para>
						</#if>	
					</td>
					
					<td><?dbfo bgcolor="#D5FFDF" ?>
					<para><emphasis role="HEAD-WoutNo">Dataset data</emphasis></para>
						<#assign annotationDataRemarks><@annotationDatasetRemarks annotations/></#assign>
						<#if annotationDataRemarks?has_content>
						<para><emphasis role="bold">Annotation dataset remarks:</emphasis></para><@annotationDatasetRemarks annotations/>
						</#if>
						<#assign annotationDatasetCross><@annotationDatasetCrossReference annotations/></#assign>
						<#if annotationDatasetCross?has_content>
						<para><emphasis role="bold">Annotation dataset cross reference:</emphasis> <@annotationDatasetCrossReference annotations/></para>
						</#if>
						<#assign annotationDataExecSummary><@annotationDatasetExecSummary annotations/></#assign>
						<#if annotationDataExecSummary?has_content>
						<para><emphasis role="bold">Annotations dataset executive summary:</emphasis></para><para><@annotationDatasetExecSummary annotations/></para>
						</#if>						
						<#assign annotationAttachments><@attachmentName annotations/></#assign>
						<#if annotationAttachments?has_content>
						<para><emphasis role="bold">Other attachments linked to the annotation via the 'IUCLID Information panel':</emphasis></para>
						<para><@attachmentName annotations /></para>
						</#if>
					</td>
				</tr>
			</tbody>
		</informaltable>
	</#list>	

<#macro annotationUUID annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.text annotation.documentKey.uuid/>
		</#if>
</#compress>
</#macro>	
<#macro annotationName annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		${annotation.BasicData.Name}
			<#else/>
			No Annotation Name is provided
		</#if>
</#compress>
</#macro>
<#macro annotationNameOfAuthority annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		${annotation.BasicData.Authority}
			<#else/>
			No Authority or Organisation name is provided for this annotation
		</#if>
</#compress>
</#macro>
<#macro annotationStatus annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.picklist annotation.BasicData.AnnotationStatus/>
			<#else/>
			No Annotation Status is provided for this annotation
		</#if>
</#compress>
</#macro>
<#macro annotationRemarks annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.richText annotation.BasicData.Remarks/>
			<#else/>
			No Remarks are provided for this annotation
		</#if>
</#compress>
</#macro>
<#macro annotationAttachedEvaluationName annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
			<#assign attachmentData = annotation.BasicData.AttachedRegulatoryAuthoritiesEvaluation />
			<#if attachmentData?has_content>
			<#assign attachment = iuclid.getMetadataForAttachment(attachmentData.Evaluation) />
				<#if attachment?has_content>			
				Name of attached Evaluation: ${attachment.filename}
					<@com.emptyLine/>
				<emphasis role="bold">Remarks for attached Evaluation:</emphasis> ${attachment.remarks}
				</#if>
			</#if>
		</#if>
</#compress>
</#macro>
<#macro annotationDatasetDataWaiving annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.picklist annotation.DatasetData.DataWaiverAcceptable/>
		</#if>
</#compress>
</#macro>
<#macro annotationDatasetReliability annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.picklist annotation.DatasetData.Reliability/>
		</#if>
</#compress>
</#macro>
<#macro annotationDatasetRemarks annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.text annotation.DatasetData.Remarks/>
		</#if>
</#compress>
</#macro>
<#macro annotationDatasetCrossReference annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.text annotation.DatasetData.CrossReferenceToOtherStudy/>
		</#if>
</#compress>
</#macro>
<#macro annotationDatasetConclusions annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.text annotation.DatasetData.Conclusions/>
		</#if>
</#compress>
</#macro>
<#macro annotationDatasetExecSummary annotations>
<#compress>
	<#local annotation = iuclid.getDocumentForKey(annotations)/>
		<#if annotation?has_content>
		<@com.richText annotation.DatasetData.ExecutiveSummary/>
		</#if>
</#compress>
</#macro>
<#macro attachmentName annotations>
<#compress>
<#local annotation = iuclid.getDocumentForKey(annotations)/>
	<#if annotation?has_content>
		<#list annotation.attachments as annotations>
		<#assign attachmentData = iuclid.getMetadataForAttachment(annotations) />
			<#if attachmentData?has_content>
				<#escape x as x?html>${attachmentData.filename}</#escape>
			</#if>
		</#list>
	</#if>
</#compress>
</#macro>

